//+------------------------------------------------------------------+
//|                                           MTF Crazypips Wave.mq4 |
//|                      Copyright  2009, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, Darkkiller"
#property indicator_chart_window
#property indicator_buffers 0

extern int Corner=3;
extern int x_distance=0;
extern int y_distance=0;
extern int window=0;
extern color title    =DimGray;
extern color stronguptrend    =Lime;
extern color strongdowntrend  =Red;
extern color notrend  =White;


int init()
  {
   
   string label6xx = "Rainbow_Title";
   ObjectDelete(label6xx);
   ObjectCreate( label6xx, OBJ_LABEL, window, 0, 0 );
   ObjectSetText(label6xx,"_________Crazypips Wave________",9, "Arial Bold", title);
   ObjectSet( label6xx, OBJPROP_CORNER, Corner );
   ObjectSet( label6xx, OBJPROP_XDISTANCE, 10+x_distance );
   ObjectSet( label6xx, OBJPROP_YDISTANCE, 40+y_distance );

   string signature = "dk rainbow";
   ObjectDelete(signature);
   ObjectCreate( signature, OBJ_LABEL, window, 0, 0 );
   ObjectSetText(signature,"|dk|",7, "Arial Bold", title);
   ObjectSet( signature, OBJPROP_CORNER, Corner );
   ObjectSet( signature, OBJPROP_XDISTANCE, 10+x_distance );
   ObjectSet( signature, OBJPROP_YDISTANCE, 42+y_distance );
   
//----
   return(0);
  }

int deinit()
  {

   ObjectDelete("Rainbow_Title");
   ObjectDelete("Rainbow MN1");  
   ObjectDelete("Rainbow W1");   
   ObjectDelete("Rainbow D1");
   ObjectDelete("Rainbow H4");
   ObjectDelete("Rainbow H1");
   ObjectDelete("Rainbow M30");
   ObjectDelete("Rainbow M15");
   ObjectDelete("Rainbow M5");
   ObjectDelete("Rainbow M1");
   ObjectDelete("dk rainbow");
   ObjectDelete("Rainbow MN1 Arrow");
   ObjectDelete("Rainbow W1 Arrow");
   ObjectDelete("Rainbow D1 Arrow");
   ObjectDelete("Rainbow H4 Arrow");
   ObjectDelete("Rainbow H1 Arrow");
   ObjectDelete("Rainbow M30 Arrow");
   ObjectDelete("Rainbow M15 Arrow");
   ObjectDelete("Rainbow M5 Arrow");
   ObjectDelete("Rainbow M1 Arrow");
   
   return(0);
  }

int start()
  {
   int    counted_bars=IndicatorCounted();
   
   int limit=Bars-counted_bars;
   if(counted_bars>0) limit++;
   
   string Sign,Arrow;   
   color Col;
   
   double Ma1=iMA(NULL,PERIOD_MN1,50,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma2=iMA(NULL,PERIOD_MN1,80,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma3=iMA(NULL,PERIOD_MN1,90,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma4=iMA(NULL,PERIOD_MN1,95,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma5=iMA(NULL,PERIOD_MN1,100,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma6=iMA(NULL,PERIOD_MN1,105,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma7=iMA(NULL,PERIOD_MN1,110,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma8=iMA(NULL,PERIOD_MN1,115,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma9=iMA(NULL,PERIOD_MN1,120,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma10=iMA(NULL,PERIOD_MN1,125,10,MODE_SMA,PRICE_CLOSE,0);
   
   double Ma11=iMA(NULL,PERIOD_MN1,130,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma12=iMA(NULL,PERIOD_MN1,135,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma13=iMA(NULL,PERIOD_MN1,140,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma14=iMA(NULL,PERIOD_MN1,145,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma15=iMA(NULL,PERIOD_MN1,150,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma16=iMA(NULL,PERIOD_MN1,155,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma17=iMA(NULL,PERIOD_MN1,160,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma18=iMA(NULL,PERIOD_MN1,165,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma19=iMA(NULL,PERIOD_MN1,170,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma20=iMA(NULL,PERIOD_MN1,175,10,MODE_SMA,PRICE_CLOSE,0);
   
   double Ma21=iMA(NULL,PERIOD_MN1,180,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma22=iMA(NULL,PERIOD_MN1,185,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma23=iMA(NULL,PERIOD_MN1,190,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma24=iMA(NULL,PERIOD_MN1,195,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma25=iMA(NULL,PERIOD_MN1,200,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma26=iMA(NULL,PERIOD_MN1,205,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma27=iMA(NULL,PERIOD_MN1,210,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma28=iMA(NULL,PERIOD_MN1,215,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma29=iMA(NULL,PERIOD_MN1,220,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma30=iMA(NULL,PERIOD_MN1,225,10,MODE_SMA,PRICE_CLOSE,0);
   
   double Ma31=iMA(NULL,PERIOD_MN1,230,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma32=iMA(NULL,PERIOD_MN1,235,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma33=iMA(NULL,PERIOD_MN1,240,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma34=iMA(NULL,PERIOD_MN1,245,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma35=iMA(NULL,PERIOD_MN1,250,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma36=iMA(NULL,PERIOD_MN1,255,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma37=iMA(NULL,PERIOD_MN1,260,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma38=iMA(NULL,PERIOD_MN1,265,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma39=iMA(NULL,PERIOD_MN1,270,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma40=iMA(NULL,PERIOD_MN1,275,10,MODE_SMA,PRICE_CLOSE,0);
   
   double Ma41=iMA(NULL,PERIOD_MN1,280,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma42=iMA(NULL,PERIOD_MN1,285,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma43=iMA(NULL,PERIOD_MN1,290,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma44=iMA(NULL,PERIOD_MN1,295,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma45=iMA(NULL,PERIOD_MN1,300,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma46=iMA(NULL,PERIOD_MN1,305,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma47=iMA(NULL,PERIOD_MN1,310,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma48=iMA(NULL,PERIOD_MN1,315,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma49=iMA(NULL,PERIOD_MN1,320,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma50=iMA(NULL,PERIOD_MN1,325,10,MODE_SMA,PRICE_CLOSE,0);
   
   double Ma51=iMA(NULL,PERIOD_MN1,330,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma52=iMA(NULL,PERIOD_MN1,335,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma53=iMA(NULL,PERIOD_MN1,340,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma54=iMA(NULL,PERIOD_MN1,345,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma55=iMA(NULL,PERIOD_MN1,350,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma56=iMA(NULL,PERIOD_MN1,355,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma57=iMA(NULL,PERIOD_MN1,360,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma58=iMA(NULL,PERIOD_MN1,365,10,MODE_SMA,PRICE_CLOSE,0);
   
   double Ma59=iMA(NULL,PERIOD_MN1,55,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma60=iMA(NULL,PERIOD_MN1,60,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma61=iMA(NULL,PERIOD_MN1,65,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma62=iMA(NULL,PERIOD_MN1,70,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma63=iMA(NULL,PERIOD_MN1,75,10,MODE_SMA,PRICE_CLOSE,0);
   double Ma64=iMA(NULL,PERIOD_MN1,85,10,MODE_SMA,PRICE_CLOSE,0);



   if        (Close[0]>Ma1&&Close[0]>Ma2&&Close[0]>Ma3&&Close[0]>Ma4&&Close[0]>Ma5&&Close[0]>Ma6&&Close[0]>Ma7&&Close[0]>Ma8&&
   Close[0]>Ma9&&Close[0]>Ma10&&Close[0]>Ma11&&Close[0]>Ma12&&Close[0]>Ma13&&Close[0]>Ma14&&Close[0]>Ma15&&Close[0]>Ma16&&
   Close[0]>Ma17&&Close[0]>Ma18&&Close[0]>Ma19&&Close[0]>Ma20&&Close[0]>Ma21&&Close[0]>Ma22&&Close[0]>Ma23&&Close[0]>Ma24&&
   Close[0]>Ma25&&Close[0]>Ma26&&Close[0]>Ma27&&Close[0]>Ma28&&Close[0]>Ma29&&Close[0]>Ma30&&Close[0]>Ma31&&Close[0]>Ma32&&
   Close[0]>Ma33&&Close[0]>Ma34) 
   { Sign="MN"; Arrow="p";Col=stronguptrend; } //Trend Up Strong
    else if        (Close[0]<Ma1&&Close[0]<Ma2&&Close[0]<Ma3&&Close[0]<Ma4&&Close[0]<Ma5&&Close[0]<Ma6&&Close[0]<Ma7&&Close[0]<Ma8&&
   Close[0]<Ma9&&Close[0]<Ma10&&Close[0]<Ma11&&Close[0]<Ma12&&Close[0]<Ma13&&Close[0]<Ma14&&Close[0]<Ma15&&Close[0]<Ma16&&
   Close[0]<Ma17&&Close[0]<Ma18&&Close[0]<Ma19&&Close[0]<Ma20&&Close[0]<Ma21&&Close[0]<Ma22&&Close[0]<Ma23&&Close[0]<Ma24&&
   Close[0]<Ma25&&Close[0]<Ma26&&Close[0]<Ma27&&Close[0]<Ma28&&Close[0]<Ma29&&Close[0]<Ma30&&Close[0]<Ma31&&Close[0]<Ma32&&
   Close[0]<Ma33&&Close[0]<Ma34)
   { Sign="MN"; Arrow="q";Col=strongdowntrend; } //Trend Down Strong
   else
  { Sign="MN"; Arrow="o";Col=notrend; } //No Trend
   
   string sign112xx = "Rainbow MN1";
   ObjectDelete(sign112xx);
   ObjectCreate(sign112xx, OBJ_LABEL, window, 0, 0 );
   ObjectSetText(sign112xx, Sign ,9, "Arial Bold", Col);
   ObjectSet(sign112xx, OBJPROP_CORNER, Corner );
   ObjectSet(sign112xx, OBJPROP_XDISTANCE, 13+x_distance );
   ObjectSet(sign112xx, OBJPROP_YDISTANCE, 10+y_distance );
   
   
   string signarrow_MN1 = "Rainbow MN1 Arrow";
   ObjectDelete(signarrow_MN1);
   ObjectCreate(signarrow_MN1, OBJ_LABEL, window, 0, 0 );
   ObjectSetText(signarrow_MN1, Arrow ,9, "Wingdings 3", Col);
   ObjectSet(signarrow_MN1, OBJPROP_CORNER, Corner );
   ObjectSet(signarrow_MN1, OBJPROP_XDISTANCE, 16+x_distance );
   ObjectSet(signarrow_MN1, OBJPROP_YDISTANCE, 25+y_distance );
   ////////////////////////////////////////////////////////////////////////////////////////////////////  

   ////////////////////////////////////////////////////////////////////////////////////////////////////         
   Ma1=iMA(NULL,PERIOD_W1,50,10,MODE_SMA,PRICE_CLOSE,0);
   Ma2=iMA(NULL,PERIOD_W1,80,10,MODE_SMA,PRICE_CLOSE,0);
   Ma3=iMA(NULL,PERIOD_W1,90,10,MODE_SMA,PRICE_CLOSE,0);
   Ma4=iMA(NULL,PERIOD_W1,95,10,MODE_SMA,PRICE_CLOSE,0);
   Ma5=iMA(NULL,PERIOD_W1,100,10,MODE_SMA,PRICE_CLOSE,0);
   Ma6=iMA(NULL,PERIOD_W1,105,10,MODE_SMA,PRICE_CLOSE,0);
   Ma7=iMA(NULL,PERIOD_W1,110,10,MODE_SMA,PRICE_CLOSE,0);
   Ma8=iMA(NULL,PERIOD_W1,115,10,MODE_SMA,PRICE_CLOSE,0);
   Ma9=iMA(NULL,PERIOD_W1,120,10,MODE_SMA,PRICE_CLOSE,0);
   Ma10=iMA(NULL,PERIOD_W1,125,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma11=iMA(NULL,PERIOD_W1,130,10,MODE_SMA,PRICE_CLOSE,0);
   Ma12=iMA(NULL,PERIOD_W1,135,10,MODE_SMA,PRICE_CLOSE,0);
   Ma13=iMA(NULL,PERIOD_W1,140,10,MODE_SMA,PRICE_CLOSE,0);
   Ma14=iMA(NULL,PERIOD_W1,145,10,MODE_SMA,PRICE_CLOSE,0);
   Ma15=iMA(NULL,PERIOD_W1,150,10,MODE_SMA,PRICE_CLOSE,0);
   Ma16=iMA(NULL,PERIOD_W1,155,10,MODE_SMA,PRICE_CLOSE,0);
   Ma17=iMA(NULL,PERIOD_W1,160,10,MODE_SMA,PRICE_CLOSE,0);
   Ma18=iMA(NULL,PERIOD_W1,165,10,MODE_SMA,PRICE_CLOSE,0);
   Ma19=iMA(NULL,PERIOD_W1,170,10,MODE_SMA,PRICE_CLOSE,0);
   Ma20=iMA(NULL,PERIOD_W1,175,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma21=iMA(NULL,PERIOD_W1,180,10,MODE_SMA,PRICE_CLOSE,0);
   Ma22=iMA(NULL,PERIOD_W1,185,10,MODE_SMA,PRICE_CLOSE,0);
   Ma23=iMA(NULL,PERIOD_W1,190,10,MODE_SMA,PRICE_CLOSE,0);
   Ma24=iMA(NULL,PERIOD_W1,195,10,MODE_SMA,PRICE_CLOSE,0);
   Ma25=iMA(NULL,PERIOD_W1,200,10,MODE_SMA,PRICE_CLOSE,0);
   Ma26=iMA(NULL,PERIOD_W1,205,10,MODE_SMA,PRICE_CLOSE,0);
   Ma27=iMA(NULL,PERIOD_W1,210,10,MODE_SMA,PRICE_CLOSE,0);
   Ma28=iMA(NULL,PERIOD_W1,215,10,MODE_SMA,PRICE_CLOSE,0);
   Ma29=iMA(NULL,PERIOD_W1,220,10,MODE_SMA,PRICE_CLOSE,0);
   Ma30=iMA(NULL,PERIOD_W1,225,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma31=iMA(NULL,PERIOD_W1,230,10,MODE_SMA,PRICE_CLOSE,0);
   Ma32=iMA(NULL,PERIOD_W1,235,10,MODE_SMA,PRICE_CLOSE,0);
   Ma33=iMA(NULL,PERIOD_W1,240,10,MODE_SMA,PRICE_CLOSE,0);
   Ma34=iMA(NULL,PERIOD_W1,245,10,MODE_SMA,PRICE_CLOSE,0);
   Ma35=iMA(NULL,PERIOD_W1,250,10,MODE_SMA,PRICE_CLOSE,0);
   Ma36=iMA(NULL,PERIOD_W1,255,10,MODE_SMA,PRICE_CLOSE,0);
   Ma37=iMA(NULL,PERIOD_W1,260,10,MODE_SMA,PRICE_CLOSE,0);
   Ma38=iMA(NULL,PERIOD_W1,265,10,MODE_SMA,PRICE_CLOSE,0);
   Ma39=iMA(NULL,PERIOD_W1,270,10,MODE_SMA,PRICE_CLOSE,0);
   Ma40=iMA(NULL,PERIOD_W1,275,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma41=iMA(NULL,PERIOD_W1,280,10,MODE_SMA,PRICE_CLOSE,0);
   Ma42=iMA(NULL,PERIOD_W1,285,10,MODE_SMA,PRICE_CLOSE,0);
   Ma43=iMA(NULL,PERIOD_W1,290,10,MODE_SMA,PRICE_CLOSE,0);
   Ma44=iMA(NULL,PERIOD_W1,295,10,MODE_SMA,PRICE_CLOSE,0);
   Ma45=iMA(NULL,PERIOD_W1,300,10,MODE_SMA,PRICE_CLOSE,0);
   Ma46=iMA(NULL,PERIOD_W1,305,10,MODE_SMA,PRICE_CLOSE,0);
   Ma47=iMA(NULL,PERIOD_W1,310,10,MODE_SMA,PRICE_CLOSE,0);
   Ma48=iMA(NULL,PERIOD_W1,315,10,MODE_SMA,PRICE_CLOSE,0);
   Ma49=iMA(NULL,PERIOD_W1,320,10,MODE_SMA,PRICE_CLOSE,0);
   Ma50=iMA(NULL,PERIOD_W1,325,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma51=iMA(NULL,PERIOD_W1,330,10,MODE_SMA,PRICE_CLOSE,0);
   Ma52=iMA(NULL,PERIOD_W1,335,10,MODE_SMA,PRICE_CLOSE,0);
   Ma53=iMA(NULL,PERIOD_W1,340,10,MODE_SMA,PRICE_CLOSE,0);
   Ma54=iMA(NULL,PERIOD_W1,345,10,MODE_SMA,PRICE_CLOSE,0);
   Ma55=iMA(NULL,PERIOD_W1,350,10,MODE_SMA,PRICE_CLOSE,0);
   Ma56=iMA(NULL,PERIOD_W1,355,10,MODE_SMA,PRICE_CLOSE,0);
   Ma57=iMA(NULL,PERIOD_W1,360,10,MODE_SMA,PRICE_CLOSE,0);
   Ma58=iMA(NULL,PERIOD_W1,365,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma59=iMA(NULL,PERIOD_W1,55,10,MODE_SMA,PRICE_CLOSE,0);
   Ma60=iMA(NULL,PERIOD_W1,60,10,MODE_SMA,PRICE_CLOSE,0);
   Ma61=iMA(NULL,PERIOD_W1,65,10,MODE_SMA,PRICE_CLOSE,0);
   Ma62=iMA(NULL,PERIOD_W1,70,10,MODE_SMA,PRICE_CLOSE,0);
   Ma63=iMA(NULL,PERIOD_W1,75,10,MODE_SMA,PRICE_CLOSE,0);
   Ma64=iMA(NULL,PERIOD_W1,85,10,MODE_SMA,PRICE_CLOSE,0);
   
   
   
   if 
     (Close[0]>Ma1&&Close[0]>Ma2&&Close[0]>Ma3&&Close[0]>Ma4&&Close[0]>Ma5&&Close[0]>Ma6&&Close[0]>Ma7&&Close[0]>Ma8&&
   Close[0]>Ma9&&Close[0]>Ma10&&Close[0]>Ma11&&Close[0]>Ma12&&Close[0]>Ma13&&Close[0]>Ma14&&Close[0]>Ma15&&Close[0]>Ma16&&
   Close[0]>Ma17&&Close[0]>Ma18&&Close[0]>Ma19&&Close[0]>Ma20&&Close[0]>Ma21&&Close[0]>Ma22&&Close[0]>Ma23&&Close[0]>Ma24&&
   Close[0]>Ma25&&Close[0]>Ma26&&Close[0]>Ma27&&Close[0]>Ma28&&Close[0]>Ma29&&Close[0]>Ma30&&Close[0]>Ma31&&Close[0]>Ma32&&
   Close[0]>Ma33&&Close[0]>Ma34&&Close[0]>Ma35&&Close[0]>Ma36&&Close[0]>Ma37&&Close[0]>Ma38&&Close[0]>Ma39&&Close[0]>Ma40&&
   Close[0]>Ma41&&Close[0]>Ma42&&Close[0]>Ma43&&Close[0]>Ma44&&Close[0]>Ma45&&Close[0]>Ma46&&Close[0]>Ma47&&Close[0]>Ma48&&
   Close[0]>Ma49&&Close[0]>Ma50&&Close[0]>Ma51&&Close[0]>Ma52&&Close[0]>Ma53&&Close[0]>Ma54&&Close[0]>Ma55&&Close[0]>Ma56&&
   Close[0]>Ma57&&Close[0]>Ma58&&Close[0]>Ma59&&Close[0]>Ma60&&Close[0]>Ma61&&Close[0]>Ma62&&Close[0]>Ma63&&Close[0]>Ma64) 
   { Sign="W1"; Arrow="p";Col=stronguptrend; } //Trend Up Strong

    else if
     (Close[0]<Ma1&&Close[0]<Ma2&&Close[0]<Ma3&&Close[0]<Ma4&&Close[0]<Ma5&&Close[0]<Ma6&&Close[0]<Ma7&&Close[0]<Ma8&&
   Close[0]<Ma9&&Close[0]<Ma10&&Close[0]<Ma11&&Close[0]<Ma12&&Close[0]<Ma13&&Close[0]<Ma14&&Close[0]<Ma15&&Close[0]<Ma16&&
   Close[0]<Ma17&&Close[0]<Ma18&&Close[0]<Ma19&&Close[0]<Ma20&&Close[0]<Ma21&&Close[0]<Ma22&&Close[0]<Ma23&&Close[0]<Ma24&&
   Close[0]<Ma25&&Close[0]<Ma26&&Close[0]<Ma27&&Close[0]<Ma28&&Close[0]<Ma29&&Close[0]<Ma30&&Close[0]<Ma31&&Close[0]<Ma32&&
   Close[0]<Ma33&&Close[0]<Ma34&&Close[0]<Ma35&&Close[0]<Ma36&&Close[0]<Ma37&&Close[0]<Ma38&&Close[0]<Ma39&&Close[0]<Ma40&&
   Close[0]<Ma41&&Close[0]<Ma42&&Close[0]<Ma43&&Close[0]<Ma44&&Close[0]<Ma45&&Close[0]<Ma46&&Close[0]<Ma47&&Close[0]<Ma48&&
   Close[0]<Ma49&&Close[0]<Ma50&&Close[0]<Ma51&&Close[0]<Ma52&&Close[0]<Ma53&&Close[0]<Ma54&&Close[0]<Ma55&&Close[0]<Ma56&&
   Close[0]<Ma57&&Close[0]<Ma58&&Close[0]<Ma59&&Close[0]<Ma60&&Close[0]<Ma61&&Close[0]<Ma62&&Close[0]<Ma63&&Close[0]<Ma64)
   { Sign="W1"; Arrow="q";Col=strongdowntrend; } //Trend Down Strong

   else
  { Sign="W1"; Arrow="o";Col=notrend; } //No Trend
  
   string sign1xx = "Rainbow W1";
   ObjectDelete(sign1xx);
   ObjectCreate(sign1xx, OBJ_LABEL, window, 0, 0 );
   ObjectSetText(sign1xx, Sign ,9, "Arial Bold", Col);
   ObjectSet(sign1xx, OBJPROP_CORNER, Corner );
   ObjectSet(sign1xx, OBJPROP_XDISTANCE, 35+x_distance );
   ObjectSet(sign1xx, OBJPROP_YDISTANCE, 10+y_distance );

   string signarrow_W1 = "Rainbow W1 Arrow";
   ObjectDelete(signarrow_W1);
   ObjectCreate(signarrow_W1, OBJ_LABEL, window, 0, 0 );
   ObjectSetText(signarrow_W1, Arrow ,9, "Wingdings 3", Col);
   ObjectSet(signarrow_W1, OBJPROP_CORNER, Corner );
   ObjectSet(signarrow_W1, OBJPROP_XDISTANCE, 38+x_distance );
   ObjectSet(signarrow_W1, OBJPROP_YDISTANCE, 25+y_distance );
   ////////////////////////////////////////////////////////////////////////////////////////////////////   


   ////////////////////////////////////////////////////////////////////////////////////////////////////         
   Ma1=iMA(NULL,PERIOD_D1,50,10,MODE_SMA,PRICE_CLOSE,0);
   Ma2=iMA(NULL,PERIOD_D1,80,10,MODE_SMA,PRICE_CLOSE,0);
   Ma3=iMA(NULL,PERIOD_D1,90,10,MODE_SMA,PRICE_CLOSE,0);
   Ma4=iMA(NULL,PERIOD_D1,95,10,MODE_SMA,PRICE_CLOSE,0);
   Ma5=iMA(NULL,PERIOD_D1,100,10,MODE_SMA,PRICE_CLOSE,0);
   Ma6=iMA(NULL,PERIOD_D1,105,10,MODE_SMA,PRICE_CLOSE,0);
   Ma7=iMA(NULL,PERIOD_D1,110,10,MODE_SMA,PRICE_CLOSE,0);
   Ma8=iMA(NULL,PERIOD_D1,115,10,MODE_SMA,PRICE_CLOSE,0);
   Ma9=iMA(NULL,PERIOD_D1,120,10,MODE_SMA,PRICE_CLOSE,0);
   Ma10=iMA(NULL,PERIOD_D1,125,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma11=iMA(NULL,PERIOD_D1,130,10,MODE_SMA,PRICE_CLOSE,0);
   Ma12=iMA(NULL,PERIOD_D1,135,10,MODE_SMA,PRICE_CLOSE,0);
   Ma13=iMA(NULL,PERIOD_D1,140,10,MODE_SMA,PRICE_CLOSE,0);
   Ma14=iMA(NULL,PERIOD_D1,145,10,MODE_SMA,PRICE_CLOSE,0);
   Ma15=iMA(NULL,PERIOD_D1,150,10,MODE_SMA,PRICE_CLOSE,0);
   Ma16=iMA(NULL,PERIOD_D1,155,10,MODE_SMA,PRICE_CLOSE,0);
   Ma17=iMA(NULL,PERIOD_D1,160,10,MODE_SMA,PRICE_CLOSE,0);
   Ma18=iMA(NULL,PERIOD_D1,165,10,MODE_SMA,PRICE_CLOSE,0);
   Ma19=iMA(NULL,PERIOD_D1,170,10,MODE_SMA,PRICE_CLOSE,0);
   Ma20=iMA(NULL,PERIOD_D1,175,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma21=iMA(NULL,PERIOD_D1,180,10,MODE_SMA,PRICE_CLOSE,0);
   Ma22=iMA(NULL,PERIOD_D1,185,10,MODE_SMA,PRICE_CLOSE,0);
   Ma23=iMA(NULL,PERIOD_D1,190,10,MODE_SMA,PRICE_CLOSE,0);
   Ma24=iMA(NULL,PERIOD_D1,195,10,MODE_SMA,PRICE_CLOSE,0);
   Ma25=iMA(NULL,PERIOD_D1,200,10,MODE_SMA,PRICE_CLOSE,0);
   Ma26=iMA(NULL,PERIOD_D1,205,10,MODE_SMA,PRICE_CLOSE,0);
   Ma27=iMA(NULL,PERIOD_D1,210,10,MODE_SMA,PRICE_CLOSE,0);
   Ma28=iMA(NULL,PERIOD_D1,215,10,MODE_SMA,PRICE_CLOSE,0);
   Ma29=iMA(NULL,PERIOD_D1,220,10,MODE_SMA,PRICE_CLOSE,0);
   Ma30=iMA(NULL,PERIOD_D1,225,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma31=iMA(NULL,PERIOD_D1,230,10,MODE_SMA,PRICE_CLOSE,0);
   Ma32=iMA(NULL,PERIOD_D1,235,10,MODE_SMA,PRICE_CLOSE,0);
   Ma33=iMA(NULL,PERIOD_D1,240,10,MODE_SMA,PRICE_CLOSE,0);
   Ma34=iMA(NULL,PERIOD_D1,245,10,MODE_SMA,PRICE_CLOSE,0);
   Ma35=iMA(NULL,PERIOD_D1,250,10,MODE_SMA,PRICE_CLOSE,0);
   Ma36=iMA(NULL,PERIOD_D1,255,10,MODE_SMA,PRICE_CLOSE,0);
   Ma37=iMA(NULL,PERIOD_D1,260,10,MODE_SMA,PRICE_CLOSE,0);
   Ma38=iMA(NULL,PERIOD_D1,265,10,MODE_SMA,PRICE_CLOSE,0);
   Ma39=iMA(NULL,PERIOD_D1,270,10,MODE_SMA,PRICE_CLOSE,0);
   Ma40=iMA(NULL,PERIOD_D1,275,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma41=iMA(NULL,PERIOD_D1,280,10,MODE_SMA,PRICE_CLOSE,0);
   Ma42=iMA(NULL,PERIOD_D1,285,10,MODE_SMA,PRICE_CLOSE,0);
   Ma43=iMA(NULL,PERIOD_D1,290,10,MODE_SMA,PRICE_CLOSE,0);
   Ma44=iMA(NULL,PERIOD_D1,295,10,MODE_SMA,PRICE_CLOSE,0);
   Ma45=iMA(NULL,PERIOD_D1,300,10,MODE_SMA,PRICE_CLOSE,0);
   Ma46=iMA(NULL,PERIOD_D1,305,10,MODE_SMA,PRICE_CLOSE,0);
   Ma47=iMA(NULL,PERIOD_D1,310,10,MODE_SMA,PRICE_CLOSE,0);
   Ma48=iMA(NULL,PERIOD_D1,315,10,MODE_SMA,PRICE_CLOSE,0);
   Ma49=iMA(NULL,PERIOD_D1,320,10,MODE_SMA,PRICE_CLOSE,0);
   Ma50=iMA(NULL,PERIOD_D1,325,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma51=iMA(NULL,PERIOD_D1,330,10,MODE_SMA,PRICE_CLOSE,0);
   Ma52=iMA(NULL,PERIOD_D1,335,10,MODE_SMA,PRICE_CLOSE,0);
   Ma53=iMA(NULL,PERIOD_D1,340,10,MODE_SMA,PRICE_CLOSE,0);
   Ma54=iMA(NULL,PERIOD_D1,345,10,MODE_SMA,PRICE_CLOSE,0);
   Ma55=iMA(NULL,PERIOD_D1,350,10,MODE_SMA,PRICE_CLOSE,0);
   Ma56=iMA(NULL,PERIOD_D1,355,10,MODE_SMA,PRICE_CLOSE,0);
   Ma57=iMA(NULL,PERIOD_D1,360,10,MODE_SMA,PRICE_CLOSE,0);
   Ma58=iMA(NULL,PERIOD_D1,365,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma59=iMA(NULL,PERIOD_D1,55,10,MODE_SMA,PRICE_CLOSE,0);
   Ma60=iMA(NULL,PERIOD_D1,60,10,MODE_SMA,PRICE_CLOSE,0);
   Ma61=iMA(NULL,PERIOD_D1,65,10,MODE_SMA,PRICE_CLOSE,0);
   Ma62=iMA(NULL,PERIOD_D1,70,10,MODE_SMA,PRICE_CLOSE,0);
   Ma63=iMA(NULL,PERIOD_D1,75,10,MODE_SMA,PRICE_CLOSE,0);
   Ma64=iMA(NULL,PERIOD_D1,85,10,MODE_SMA,PRICE_CLOSE,0);
   
   if 
     (Close[0]>Ma1&&Close[0]>Ma2&&Close[0]>Ma3&&Close[0]>Ma4&&Close[0]>Ma5&&Close[0]>Ma6&&Close[0]>Ma7&&Close[0]>Ma8&&
   Close[0]>Ma9&&Close[0]>Ma10&&Close[0]>Ma11&&Close[0]>Ma12&&Close[0]>Ma13&&Close[0]>Ma14&&Close[0]>Ma15&&Close[0]>Ma16&&
   Close[0]>Ma17&&Close[0]>Ma18&&Close[0]>Ma19&&Close[0]>Ma20&&Close[0]>Ma21&&Close[0]>Ma22&&Close[0]>Ma23&&Close[0]>Ma24&&
   Close[0]>Ma25&&Close[0]>Ma26&&Close[0]>Ma27&&Close[0]>Ma28&&Close[0]>Ma29&&Close[0]>Ma30&&Close[0]>Ma31&&Close[0]>Ma32&&
   Close[0]>Ma33&&Close[0]>Ma34&&Close[0]>Ma35&&Close[0]>Ma36&&Close[0]>Ma37&&Close[0]>Ma38&&Close[0]>Ma39&&Close[0]>Ma40&&
   Close[0]>Ma41&&Close[0]>Ma42&&Close[0]>Ma43&&Close[0]>Ma44&&Close[0]>Ma45&&Close[0]>Ma46&&Close[0]>Ma47&&Close[0]>Ma48&&
   Close[0]>Ma49&&Close[0]>Ma50&&Close[0]>Ma51&&Close[0]>Ma52&&Close[0]>Ma53&&Close[0]>Ma54&&Close[0]>Ma55&&Close[0]>Ma56&&
   Close[0]>Ma57&&Close[0]>Ma58&&Close[0]>Ma59&&Close[0]>Ma60&&Close[0]>Ma61&&Close[0]>Ma62&&Close[0]>Ma63&&Close[0]>Ma64) 
   { Sign="D1"; Arrow="p";Col=stronguptrend; } //Trend Up Strong

   else if  (Close[0]<Ma1&&Close[0]<Ma2&&Close[0]<Ma3&&Close[0]<Ma4&&Close[0]<Ma5&&Close[0]<Ma6&&Close[0]<Ma7&&Close[0]<Ma8&&
   Close[0]<Ma9&&Close[0]<Ma10&&Close[0]<Ma11&&Close[0]<Ma12&&Close[0]<Ma13&&Close[0]<Ma14&&Close[0]<Ma15&&Close[0]<Ma16&&
   Close[0]<Ma17&&Close[0]<Ma18&&Close[0]<Ma19&&Close[0]<Ma20&&Close[0]<Ma21&&Close[0]<Ma22&&Close[0]<Ma23&&Close[0]<Ma24&&
   Close[0]<Ma25&&Close[0]<Ma26&&Close[0]<Ma27&&Close[0]<Ma28&&Close[0]<Ma29&&Close[0]<Ma30&&Close[0]<Ma31&&Close[0]<Ma32&&
   Close[0]<Ma33&&Close[0]<Ma34&&Close[0]<Ma35&&Close[0]<Ma36&&Close[0]<Ma37&&Close[0]<Ma38&&Close[0]<Ma39&&Close[0]<Ma40&&
   Close[0]<Ma41&&Close[0]<Ma42&&Close[0]<Ma43&&Close[0]<Ma44&&Close[0]<Ma45&&Close[0]<Ma46&&Close[0]<Ma47&&Close[0]<Ma48&&
   Close[0]<Ma49&&Close[0]<Ma50&&Close[0]<Ma51&&Close[0]<Ma52&&Close[0]<Ma53&&Close[0]<Ma54&&Close[0]<Ma55&&Close[0]<Ma56&&
   Close[0]<Ma57&&Close[0]<Ma58&&Close[0]<Ma59&&Close[0]<Ma60&&Close[0]<Ma61&&Close[0]<Ma62&&Close[0]<Ma63&&Close[0]<Ma64)
   { Sign="D1"; Arrow="q";Col=strongdowntrend; } //Trend Down Strong

   else
  { Sign="D1"; Arrow="o";Col=notrend; } //No Trend
  
   string sign2xx = "Rainbow D1";
   ObjectDelete(sign2xx);
   ObjectCreate(sign2xx, OBJ_LABEL, window, 0, 0 );
   ObjectSetText(sign2xx, Sign ,9, "Arial Bold", Col);
   ObjectSet(sign2xx, OBJPROP_CORNER, Corner );
   ObjectSet(sign2xx, OBJPROP_XDISTANCE, 60+x_distance );
   ObjectSet(sign2xx, OBJPROP_YDISTANCE, 10+y_distance );
   
   string signarrow_D1 = "Rainbow D1 Arrow";
   ObjectDelete(signarrow_D1);
   ObjectCreate(signarrow_D1, OBJ_LABEL, window, 0, 0 );
   ObjectSetText(signarrow_D1, Arrow ,9, "Wingdings 3", Col);
   ObjectSet(signarrow_D1, OBJPROP_CORNER, Corner );
   ObjectSet(signarrow_D1, OBJPROP_XDISTANCE, 63+x_distance );
   ObjectSet(signarrow_D1, OBJPROP_YDISTANCE, 25+y_distance );
   ////////////////////////////////////////////////////////////////////////////////////////////////////   

   ////////////////////////////////////////////////////////////////////////////////////////////////////         
   Ma1=iMA(NULL,PERIOD_H4,50,10,MODE_SMA,PRICE_CLOSE,0);
   Ma2=iMA(NULL,PERIOD_H4,80,10,MODE_SMA,PRICE_CLOSE,0);
   Ma3=iMA(NULL,PERIOD_H4,90,10,MODE_SMA,PRICE_CLOSE,0);
   Ma4=iMA(NULL,PERIOD_H4,95,10,MODE_SMA,PRICE_CLOSE,0);
   Ma5=iMA(NULL,PERIOD_H4,100,10,MODE_SMA,PRICE_CLOSE,0);
   Ma6=iMA(NULL,PERIOD_H4,105,10,MODE_SMA,PRICE_CLOSE,0);
   Ma7=iMA(NULL,PERIOD_H4,110,10,MODE_SMA,PRICE_CLOSE,0);
   Ma8=iMA(NULL,PERIOD_H4,115,10,MODE_SMA,PRICE_CLOSE,0);
   Ma9=iMA(NULL,PERIOD_H4,120,10,MODE_SMA,PRICE_CLOSE,0);
   Ma10=iMA(NULL,PERIOD_H4,125,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma11=iMA(NULL,PERIOD_H4,130,10,MODE_SMA,PRICE_CLOSE,0);
   Ma12=iMA(NULL,PERIOD_H4,135,10,MODE_SMA,PRICE_CLOSE,0);
   Ma13=iMA(NULL,PERIOD_H4,140,10,MODE_SMA,PRICE_CLOSE,0);
   Ma14=iMA(NULL,PERIOD_H4,145,10,MODE_SMA,PRICE_CLOSE,0);
   Ma15=iMA(NULL,PERIOD_H4,150,10,MODE_SMA,PRICE_CLOSE,0);
   Ma16=iMA(NULL,PERIOD_H4,155,10,MODE_SMA,PRICE_CLOSE,0);
   Ma17=iMA(NULL,PERIOD_H4,160,10,MODE_SMA,PRICE_CLOSE,0);
   Ma18=iMA(NULL,PERIOD_H4,165,10,MODE_SMA,PRICE_CLOSE,0);
   Ma19=iMA(NULL,PERIOD_H4,170,10,MODE_SMA,PRICE_CLOSE,0);
   Ma20=iMA(NULL,PERIOD_H4,175,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma21=iMA(NULL,PERIOD_H4,180,10,MODE_SMA,PRICE_CLOSE,0);
   Ma22=iMA(NULL,PERIOD_H4,185,10,MODE_SMA,PRICE_CLOSE,0);
   Ma23=iMA(NULL,PERIOD_H4,190,10,MODE_SMA,PRICE_CLOSE,0);
   Ma24=iMA(NULL,PERIOD_H4,195,10,MODE_SMA,PRICE_CLOSE,0);
   Ma25=iMA(NULL,PERIOD_H4,200,10,MODE_SMA,PRICE_CLOSE,0);
   Ma26=iMA(NULL,PERIOD_H4,205,10,MODE_SMA,PRICE_CLOSE,0);
   Ma27=iMA(NULL,PERIOD_H4,210,10,MODE_SMA,PRICE_CLOSE,0);
   Ma28=iMA(NULL,PERIOD_H4,215,10,MODE_SMA,PRICE_CLOSE,0);
   Ma29=iMA(NULL,PERIOD_H4,220,10,MODE_SMA,PRICE_CLOSE,0);
   Ma30=iMA(NULL,PERIOD_H4,225,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma31=iMA(NULL,PERIOD_H4,230,10,MODE_SMA,PRICE_CLOSE,0);
   Ma32=iMA(NULL,PERIOD_H4,235,10,MODE_SMA,PRICE_CLOSE,0);
   Ma33=iMA(NULL,PERIOD_H4,240,10,MODE_SMA,PRICE_CLOSE,0);
   Ma34=iMA(NULL,PERIOD_H4,245,10,MODE_SMA,PRICE_CLOSE,0);
   Ma35=iMA(NULL,PERIOD_H4,250,10,MODE_SMA,PRICE_CLOSE,0);
   Ma36=iMA(NULL,PERIOD_H4,255,10,MODE_SMA,PRICE_CLOSE,0);
   Ma37=iMA(NULL,PERIOD_H4,260,10,MODE_SMA,PRICE_CLOSE,0);
   Ma38=iMA(NULL,PERIOD_H4,265,10,MODE_SMA,PRICE_CLOSE,0);
   Ma39=iMA(NULL,PERIOD_H4,270,10,MODE_SMA,PRICE_CLOSE,0);
   Ma40=iMA(NULL,PERIOD_H4,275,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma41=iMA(NULL,PERIOD_H4,280,10,MODE_SMA,PRICE_CLOSE,0);
   Ma42=iMA(NULL,PERIOD_H4,285,10,MODE_SMA,PRICE_CLOSE,0);
   Ma43=iMA(NULL,PERIOD_H4,290,10,MODE_SMA,PRICE_CLOSE,0);
   Ma44=iMA(NULL,PERIOD_H4,295,10,MODE_SMA,PRICE_CLOSE,0);
   Ma45=iMA(NULL,PERIOD_H4,300,10,MODE_SMA,PRICE_CLOSE,0);
   Ma46=iMA(NULL,PERIOD_H4,305,10,MODE_SMA,PRICE_CLOSE,0);
   Ma47=iMA(NULL,PERIOD_H4,310,10,MODE_SMA,PRICE_CLOSE,0);
   Ma48=iMA(NULL,PERIOD_H4,315,10,MODE_SMA,PRICE_CLOSE,0);
   Ma49=iMA(NULL,PERIOD_H4,320,10,MODE_SMA,PRICE_CLOSE,0);
   Ma50=iMA(NULL,PERIOD_H4,325,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma51=iMA(NULL,PERIOD_H4,330,10,MODE_SMA,PRICE_CLOSE,0);
   Ma52=iMA(NULL,PERIOD_H4,335,10,MODE_SMA,PRICE_CLOSE,0);
   Ma53=iMA(NULL,PERIOD_H4,340,10,MODE_SMA,PRICE_CLOSE,0);
   Ma54=iMA(NULL,PERIOD_H4,345,10,MODE_SMA,PRICE_CLOSE,0);
   Ma55=iMA(NULL,PERIOD_H4,350,10,MODE_SMA,PRICE_CLOSE,0);
   Ma56=iMA(NULL,PERIOD_H4,355,10,MODE_SMA,PRICE_CLOSE,0);
   Ma57=iMA(NULL,PERIOD_H4,360,10,MODE_SMA,PRICE_CLOSE,0);
   Ma58=iMA(NULL,PERIOD_H4,365,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma59=iMA(NULL,PERIOD_H4,55,10,MODE_SMA,PRICE_CLOSE,0);
   Ma60=iMA(NULL,PERIOD_H4,60,10,MODE_SMA,PRICE_CLOSE,0);
   Ma61=iMA(NULL,PERIOD_H4,65,10,MODE_SMA,PRICE_CLOSE,0);
   Ma62=iMA(NULL,PERIOD_H4,70,10,MODE_SMA,PRICE_CLOSE,0);
   Ma63=iMA(NULL,PERIOD_H4,75,10,MODE_SMA,PRICE_CLOSE,0);
   Ma64=iMA(NULL,PERIOD_H4,85,10,MODE_SMA,PRICE_CLOSE,0);
   
   if 
     (Close[0]>Ma1&&Close[0]>Ma2&&Close[0]>Ma3&&Close[0]>Ma4&&Close[0]>Ma5&&Close[0]>Ma6&&Close[0]>Ma7&&Close[0]>Ma8&&
   Close[0]>Ma9&&Close[0]>Ma10&&Close[0]>Ma11&&Close[0]>Ma12&&Close[0]>Ma13&&Close[0]>Ma14&&Close[0]>Ma15&&Close[0]>Ma16&&
   Close[0]>Ma17&&Close[0]>Ma18&&Close[0]>Ma19&&Close[0]>Ma20&&Close[0]>Ma21&&Close[0]>Ma22&&Close[0]>Ma23&&Close[0]>Ma24&&
   Close[0]>Ma25&&Close[0]>Ma26&&Close[0]>Ma27&&Close[0]>Ma28&&Close[0]>Ma29&&Close[0]>Ma30&&Close[0]>Ma31&&Close[0]>Ma32&&
   Close[0]>Ma33&&Close[0]>Ma34&&Close[0]>Ma35&&Close[0]>Ma36&&Close[0]>Ma37&&Close[0]>Ma38&&Close[0]>Ma39&&Close[0]>Ma40&&
   Close[0]>Ma41&&Close[0]>Ma42&&Close[0]>Ma43&&Close[0]>Ma44&&Close[0]>Ma45&&Close[0]>Ma46&&Close[0]>Ma47&&Close[0]>Ma48&&
   Close[0]>Ma49&&Close[0]>Ma50&&Close[0]>Ma51&&Close[0]>Ma52&&Close[0]>Ma53&&Close[0]>Ma54&&Close[0]>Ma55&&Close[0]>Ma56&&
   Close[0]>Ma57&&Close[0]>Ma58&&Close[0]>Ma59&&Close[0]>Ma60&&Close[0]>Ma61&&Close[0]>Ma62&&Close[0]>Ma63&&Close[0]>Ma64) 
   { Sign="H4"; Arrow="p";Col=stronguptrend; } //Trend Up Strong

    else if
     (Close[0]<Ma1&&Close[0]<Ma2&&Close[0]<Ma3&&Close[0]<Ma4&&Close[0]<Ma5&&Close[0]<Ma6&&Close[0]<Ma7&&Close[0]<Ma8&&
   Close[0]<Ma9&&Close[0]<Ma10&&Close[0]<Ma11&&Close[0]<Ma12&&Close[0]<Ma13&&Close[0]<Ma14&&Close[0]<Ma15&&Close[0]<Ma16&&
   Close[0]<Ma17&&Close[0]<Ma18&&Close[0]<Ma19&&Close[0]<Ma20&&Close[0]<Ma21&&Close[0]<Ma22&&Close[0]<Ma23&&Close[0]<Ma24&&
   Close[0]<Ma25&&Close[0]<Ma26&&Close[0]<Ma27&&Close[0]<Ma28&&Close[0]<Ma29&&Close[0]<Ma30&&Close[0]<Ma31&&Close[0]<Ma32&&
   Close[0]<Ma33&&Close[0]<Ma34&&Close[0]<Ma35&&Close[0]<Ma36&&Close[0]<Ma37&&Close[0]<Ma38&&Close[0]<Ma39&&Close[0]<Ma40&&
   Close[0]<Ma41&&Close[0]<Ma42&&Close[0]<Ma43&&Close[0]<Ma44&&Close[0]<Ma45&&Close[0]<Ma46&&Close[0]<Ma47&&Close[0]<Ma48&&
   Close[0]<Ma49&&Close[0]<Ma50&&Close[0]<Ma51&&Close[0]<Ma52&&Close[0]<Ma53&&Close[0]<Ma54&&Close[0]<Ma55&&Close[0]<Ma56&&
   Close[0]<Ma57&&Close[0]<Ma58&&Close[0]<Ma59&&Close[0]<Ma60&&Close[0]<Ma61&&Close[0]<Ma62&&Close[0]<Ma63&&Close[0]<Ma64)
   { Sign="H4"; Arrow="q";Col=strongdowntrend; } //Trend Down Strong

  else
  { Sign="H4"; Arrow="o";Col=notrend; } //No Trend
  
   string sign13xx = "Rainbow H4";
   ObjectDelete(sign13xx);
   ObjectCreate(sign13xx, OBJ_LABEL, window, 0, 0 );
   ObjectSetText(sign13xx, Sign ,9, "Arial Bold", Col);
   ObjectSet(sign13xx, OBJPROP_CORNER, Corner );
   ObjectSet(sign13xx, OBJPROP_XDISTANCE, 80+x_distance );
   ObjectSet(sign13xx, OBJPROP_YDISTANCE, 10+y_distance );
   
   string signarrow_H4 = "Rainbow H4 Arrow";
   ObjectDelete(signarrow_H4);
   ObjectCreate(signarrow_H4, OBJ_LABEL, window, 0, 0 );
   ObjectSetText(signarrow_H4, Arrow ,9, "Wingdings 3", Col);
   ObjectSet(signarrow_H4, OBJPROP_CORNER, Corner );
   ObjectSet(signarrow_H4, OBJPROP_XDISTANCE, 83+x_distance );
   ObjectSet(signarrow_H4, OBJPROP_YDISTANCE, 25+y_distance );
   ////////////////////////////////////////////////////////////////////////////////////////////////////   

   ////////////////////////////////////////////////////////////////////////////////////////////////////         
   Ma1=iMA(NULL,PERIOD_H1,50,10,MODE_SMA,PRICE_CLOSE,0);
   Ma2=iMA(NULL,PERIOD_H1,80,10,MODE_SMA,PRICE_CLOSE,0);
   Ma3=iMA(NULL,PERIOD_H1,90,10,MODE_SMA,PRICE_CLOSE,0);
   Ma4=iMA(NULL,PERIOD_H1,95,10,MODE_SMA,PRICE_CLOSE,0);
   Ma5=iMA(NULL,PERIOD_H1,100,10,MODE_SMA,PRICE_CLOSE,0);
   Ma6=iMA(NULL,PERIOD_H1,105,10,MODE_SMA,PRICE_CLOSE,0);
   Ma7=iMA(NULL,PERIOD_H1,110,10,MODE_SMA,PRICE_CLOSE,0);
   Ma8=iMA(NULL,PERIOD_H1,115,10,MODE_SMA,PRICE_CLOSE,0);
   Ma9=iMA(NULL,PERIOD_H1,120,10,MODE_SMA,PRICE_CLOSE,0);
   Ma10=iMA(NULL,PERIOD_H1,125,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma11=iMA(NULL,PERIOD_H1,130,10,MODE_SMA,PRICE_CLOSE,0);
   Ma12=iMA(NULL,PERIOD_H1,135,10,MODE_SMA,PRICE_CLOSE,0);
   Ma13=iMA(NULL,PERIOD_H1,140,10,MODE_SMA,PRICE_CLOSE,0);
   Ma14=iMA(NULL,PERIOD_H1,145,10,MODE_SMA,PRICE_CLOSE,0);
   Ma15=iMA(NULL,PERIOD_H1,150,10,MODE_SMA,PRICE_CLOSE,0);
   Ma16=iMA(NULL,PERIOD_H1,155,10,MODE_SMA,PRICE_CLOSE,0);
   Ma17=iMA(NULL,PERIOD_H1,160,10,MODE_SMA,PRICE_CLOSE,0);
   Ma18=iMA(NULL,PERIOD_H1,165,10,MODE_SMA,PRICE_CLOSE,0);
   Ma19=iMA(NULL,PERIOD_H1,170,10,MODE_SMA,PRICE_CLOSE,0);
   Ma20=iMA(NULL,PERIOD_H1,175,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma21=iMA(NULL,PERIOD_H1,180,10,MODE_SMA,PRICE_CLOSE,0);
   Ma22=iMA(NULL,PERIOD_H1,185,10,MODE_SMA,PRICE_CLOSE,0);
   Ma23=iMA(NULL,PERIOD_H1,190,10,MODE_SMA,PRICE_CLOSE,0);
   Ma24=iMA(NULL,PERIOD_H1,195,10,MODE_SMA,PRICE_CLOSE,0);
   Ma25=iMA(NULL,PERIOD_H1,200,10,MODE_SMA,PRICE_CLOSE,0);
   Ma26=iMA(NULL,PERIOD_H1,205,10,MODE_SMA,PRICE_CLOSE,0);
   Ma27=iMA(NULL,PERIOD_H1,210,10,MODE_SMA,PRICE_CLOSE,0);
   Ma28=iMA(NULL,PERIOD_H1,215,10,MODE_SMA,PRICE_CLOSE,0);
   Ma29=iMA(NULL,PERIOD_H1,220,10,MODE_SMA,PRICE_CLOSE,0);
   Ma30=iMA(NULL,PERIOD_H1,225,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma31=iMA(NULL,PERIOD_H1,230,10,MODE_SMA,PRICE_CLOSE,0);
   Ma32=iMA(NULL,PERIOD_H1,235,10,MODE_SMA,PRICE_CLOSE,0);
   Ma33=iMA(NULL,PERIOD_H1,240,10,MODE_SMA,PRICE_CLOSE,0);
   Ma34=iMA(NULL,PERIOD_H1,245,10,MODE_SMA,PRICE_CLOSE,0);
   Ma35=iMA(NULL,PERIOD_H1,250,10,MODE_SMA,PRICE_CLOSE,0);
   Ma36=iMA(NULL,PERIOD_H1,255,10,MODE_SMA,PRICE_CLOSE,0);
   Ma37=iMA(NULL,PERIOD_H1,260,10,MODE_SMA,PRICE_CLOSE,0);
   Ma38=iMA(NULL,PERIOD_H1,265,10,MODE_SMA,PRICE_CLOSE,0);
   Ma39=iMA(NULL,PERIOD_H1,270,10,MODE_SMA,PRICE_CLOSE,0);
   Ma40=iMA(NULL,PERIOD_H1,275,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma41=iMA(NULL,PERIOD_H1,280,10,MODE_SMA,PRICE_CLOSE,0);
   Ma42=iMA(NULL,PERIOD_H1,285,10,MODE_SMA,PRICE_CLOSE,0);
   Ma43=iMA(NULL,PERIOD_H1,290,10,MODE_SMA,PRICE_CLOSE,0);
   Ma44=iMA(NULL,PERIOD_H1,295,10,MODE_SMA,PRICE_CLOSE,0);
   Ma45=iMA(NULL,PERIOD_H1,300,10,MODE_SMA,PRICE_CLOSE,0);
   Ma46=iMA(NULL,PERIOD_H1,305,10,MODE_SMA,PRICE_CLOSE,0);
   Ma47=iMA(NULL,PERIOD_H1,310,10,MODE_SMA,PRICE_CLOSE,0);
   Ma48=iMA(NULL,PERIOD_H1,315,10,MODE_SMA,PRICE_CLOSE,0);
   Ma49=iMA(NULL,PERIOD_H1,320,10,MODE_SMA,PRICE_CLOSE,0);
   Ma50=iMA(NULL,PERIOD_H1,325,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma51=iMA(NULL,PERIOD_H1,330,10,MODE_SMA,PRICE_CLOSE,0);
   Ma52=iMA(NULL,PERIOD_H1,335,10,MODE_SMA,PRICE_CLOSE,0);
   Ma53=iMA(NULL,PERIOD_H1,340,10,MODE_SMA,PRICE_CLOSE,0);
   Ma54=iMA(NULL,PERIOD_H1,345,10,MODE_SMA,PRICE_CLOSE,0);
   Ma55=iMA(NULL,PERIOD_H1,350,10,MODE_SMA,PRICE_CLOSE,0);
   Ma56=iMA(NULL,PERIOD_H1,355,10,MODE_SMA,PRICE_CLOSE,0);
   Ma57=iMA(NULL,PERIOD_H1,360,10,MODE_SMA,PRICE_CLOSE,0);
   Ma58=iMA(NULL,PERIOD_H1,365,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma59=iMA(NULL,PERIOD_H1,55,10,MODE_SMA,PRICE_CLOSE,0);
   Ma60=iMA(NULL,PERIOD_H1,60,10,MODE_SMA,PRICE_CLOSE,0);
   Ma61=iMA(NULL,PERIOD_H1,65,10,MODE_SMA,PRICE_CLOSE,0);
   Ma62=iMA(NULL,PERIOD_H1,70,10,MODE_SMA,PRICE_CLOSE,0);
   Ma63=iMA(NULL,PERIOD_H1,75,10,MODE_SMA,PRICE_CLOSE,0);
   Ma64=iMA(NULL,PERIOD_H1,85,10,MODE_SMA,PRICE_CLOSE,0);
   
   if 
     (Close[0]>Ma1&&Close[0]>Ma2&&Close[0]>Ma3&&Close[0]>Ma4&&Close[0]>Ma5&&Close[0]>Ma6&&Close[0]>Ma7&&Close[0]>Ma8&&
   Close[0]>Ma9&&Close[0]>Ma10&&Close[0]>Ma11&&Close[0]>Ma12&&Close[0]>Ma13&&Close[0]>Ma14&&Close[0]>Ma15&&Close[0]>Ma16&&
   Close[0]>Ma17&&Close[0]>Ma18&&Close[0]>Ma19&&Close[0]>Ma20&&Close[0]>Ma21&&Close[0]>Ma22&&Close[0]>Ma23&&Close[0]>Ma24&&
   Close[0]>Ma25&&Close[0]>Ma26&&Close[0]>Ma27&&Close[0]>Ma28&&Close[0]>Ma29&&Close[0]>Ma30&&Close[0]>Ma31&&Close[0]>Ma32&&
   Close[0]>Ma33&&Close[0]>Ma34&&Close[0]>Ma35&&Close[0]>Ma36&&Close[0]>Ma37&&Close[0]>Ma38&&Close[0]>Ma39&&Close[0]>Ma40&&
   Close[0]>Ma41&&Close[0]>Ma42&&Close[0]>Ma43&&Close[0]>Ma44&&Close[0]>Ma45&&Close[0]>Ma46&&Close[0]>Ma47&&Close[0]>Ma48&&
   Close[0]>Ma49&&Close[0]>Ma50&&Close[0]>Ma51&&Close[0]>Ma52&&Close[0]>Ma53&&Close[0]>Ma54&&Close[0]>Ma55&&Close[0]>Ma56&&
   Close[0]>Ma57&&Close[0]>Ma58&&Close[0]>Ma59&&Close[0]>Ma60&&Close[0]>Ma61&&Close[0]>Ma62&&Close[0]>Ma63&&Close[0]>Ma64) 
   { Sign="H1"; Arrow="p";Col=stronguptrend; } //Trend Up Strong

    else if
     (Close[0]<Ma1&&Close[0]<Ma2&&Close[0]<Ma3&&Close[0]<Ma4&&Close[0]<Ma5&&Close[0]<Ma6&&Close[0]<Ma7&&Close[0]<Ma8&&
   Close[0]<Ma9&&Close[0]<Ma10&&Close[0]<Ma11&&Close[0]<Ma12&&Close[0]<Ma13&&Close[0]<Ma14&&Close[0]<Ma15&&Close[0]<Ma16&&
   Close[0]<Ma17&&Close[0]<Ma18&&Close[0]<Ma19&&Close[0]<Ma20&&Close[0]<Ma21&&Close[0]<Ma22&&Close[0]<Ma23&&Close[0]<Ma24&&
   Close[0]<Ma25&&Close[0]<Ma26&&Close[0]<Ma27&&Close[0]<Ma28&&Close[0]<Ma29&&Close[0]<Ma30&&Close[0]<Ma31&&Close[0]<Ma32&&
   Close[0]<Ma33&&Close[0]<Ma34&&Close[0]<Ma35&&Close[0]<Ma36&&Close[0]<Ma37&&Close[0]<Ma38&&Close[0]<Ma39&&Close[0]<Ma40&&
   Close[0]<Ma41&&Close[0]<Ma42&&Close[0]<Ma43&&Close[0]<Ma44&&Close[0]<Ma45&&Close[0]<Ma46&&Close[0]<Ma47&&Close[0]<Ma48&&
   Close[0]<Ma49&&Close[0]<Ma50&&Close[0]<Ma51&&Close[0]<Ma52&&Close[0]<Ma53&&Close[0]<Ma54&&Close[0]<Ma55&&Close[0]<Ma56&&
   Close[0]<Ma57&&Close[0]<Ma58&&Close[0]<Ma59&&Close[0]<Ma60&&Close[0]<Ma61&&Close[0]<Ma62&&Close[0]<Ma63&&Close[0]<Ma64)
   { Sign="H1"; Arrow="q";Col=strongdowntrend; } //Trend Down Strong

  else
  { Sign="H1"; Arrow="o";Col=notrend; } //No Trend
  
   string sign23xx = "Rainbow H1";
   ObjectDelete(sign23xx);
   ObjectCreate(sign23xx, OBJ_LABEL, window, 0, 0 );
   ObjectSetText(sign23xx, Sign ,9, "Arial Bold", Col);
   ObjectSet(sign23xx, OBJPROP_CORNER, Corner );
   ObjectSet(sign23xx, OBJPROP_XDISTANCE, 100+x_distance );
   ObjectSet(sign23xx, OBJPROP_YDISTANCE, 10+y_distance );

   string signarrow_H1 = "Rainbow H1 Arrow";
   ObjectDelete(signarrow_H1);
   ObjectCreate(signarrow_H1, OBJ_LABEL, window, 0, 0 );
   ObjectSetText(signarrow_H1, Arrow ,9, "Wingdings 3", Col);
   ObjectSet(signarrow_H1, OBJPROP_CORNER, Corner );
   ObjectSet(signarrow_H1, OBJPROP_XDISTANCE, 103+x_distance );
   ObjectSet(signarrow_H1, OBJPROP_YDISTANCE, 25+y_distance );
   ////////////////////////////////////////////////////////////////////////////////////////////////////   

   ////////////////////////////////////////////////////////////////////////////////////////////////////         
   Ma1=iMA(NULL,PERIOD_M30,50,10,MODE_SMA,PRICE_CLOSE,0);
   Ma2=iMA(NULL,PERIOD_M30,80,10,MODE_SMA,PRICE_CLOSE,0);
   Ma3=iMA(NULL,PERIOD_M30,90,10,MODE_SMA,PRICE_CLOSE,0);
   Ma4=iMA(NULL,PERIOD_M30,95,10,MODE_SMA,PRICE_CLOSE,0);
   Ma5=iMA(NULL,PERIOD_M30,100,10,MODE_SMA,PRICE_CLOSE,0);
   Ma6=iMA(NULL,PERIOD_M30,105,10,MODE_SMA,PRICE_CLOSE,0);
   Ma7=iMA(NULL,PERIOD_M30,110,10,MODE_SMA,PRICE_CLOSE,0);
   Ma8=iMA(NULL,PERIOD_M30,115,10,MODE_SMA,PRICE_CLOSE,0);
   Ma9=iMA(NULL,PERIOD_M30,120,10,MODE_SMA,PRICE_CLOSE,0);
   Ma10=iMA(NULL,PERIOD_M30,125,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma11=iMA(NULL,PERIOD_M30,130,10,MODE_SMA,PRICE_CLOSE,0);
   Ma12=iMA(NULL,PERIOD_M30,135,10,MODE_SMA,PRICE_CLOSE,0);
   Ma13=iMA(NULL,PERIOD_M30,140,10,MODE_SMA,PRICE_CLOSE,0);
   Ma14=iMA(NULL,PERIOD_M30,145,10,MODE_SMA,PRICE_CLOSE,0);
   Ma15=iMA(NULL,PERIOD_M30,150,10,MODE_SMA,PRICE_CLOSE,0);
   Ma16=iMA(NULL,PERIOD_M30,155,10,MODE_SMA,PRICE_CLOSE,0);
   Ma17=iMA(NULL,PERIOD_M30,160,10,MODE_SMA,PRICE_CLOSE,0);
   Ma18=iMA(NULL,PERIOD_M30,165,10,MODE_SMA,PRICE_CLOSE,0);
   Ma19=iMA(NULL,PERIOD_M30,170,10,MODE_SMA,PRICE_CLOSE,0);
   Ma20=iMA(NULL,PERIOD_M30,175,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma21=iMA(NULL,PERIOD_M30,180,10,MODE_SMA,PRICE_CLOSE,0);
   Ma22=iMA(NULL,PERIOD_M30,185,10,MODE_SMA,PRICE_CLOSE,0);
   Ma23=iMA(NULL,PERIOD_M30,190,10,MODE_SMA,PRICE_CLOSE,0);
   Ma24=iMA(NULL,PERIOD_M30,195,10,MODE_SMA,PRICE_CLOSE,0);
   Ma25=iMA(NULL,PERIOD_M30,200,10,MODE_SMA,PRICE_CLOSE,0);
   Ma26=iMA(NULL,PERIOD_M30,205,10,MODE_SMA,PRICE_CLOSE,0);
   Ma27=iMA(NULL,PERIOD_M30,210,10,MODE_SMA,PRICE_CLOSE,0);
   Ma28=iMA(NULL,PERIOD_M30,215,10,MODE_SMA,PRICE_CLOSE,0);
   Ma29=iMA(NULL,PERIOD_M30,220,10,MODE_SMA,PRICE_CLOSE,0);
   Ma30=iMA(NULL,PERIOD_M30,225,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma31=iMA(NULL,PERIOD_M30,230,10,MODE_SMA,PRICE_CLOSE,0);
   Ma32=iMA(NULL,PERIOD_M30,235,10,MODE_SMA,PRICE_CLOSE,0);
   Ma33=iMA(NULL,PERIOD_M30,240,10,MODE_SMA,PRICE_CLOSE,0);
   Ma34=iMA(NULL,PERIOD_M30,245,10,MODE_SMA,PRICE_CLOSE,0);
   Ma35=iMA(NULL,PERIOD_M30,250,10,MODE_SMA,PRICE_CLOSE,0);
   Ma36=iMA(NULL,PERIOD_M30,255,10,MODE_SMA,PRICE_CLOSE,0);
   Ma37=iMA(NULL,PERIOD_M30,260,10,MODE_SMA,PRICE_CLOSE,0);
   Ma38=iMA(NULL,PERIOD_M30,265,10,MODE_SMA,PRICE_CLOSE,0);
   Ma39=iMA(NULL,PERIOD_M30,270,10,MODE_SMA,PRICE_CLOSE,0);
   Ma40=iMA(NULL,PERIOD_M30,275,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma41=iMA(NULL,PERIOD_M30,280,10,MODE_SMA,PRICE_CLOSE,0);
   Ma42=iMA(NULL,PERIOD_M30,285,10,MODE_SMA,PRICE_CLOSE,0);
   Ma43=iMA(NULL,PERIOD_M30,290,10,MODE_SMA,PRICE_CLOSE,0);
   Ma44=iMA(NULL,PERIOD_M30,295,10,MODE_SMA,PRICE_CLOSE,0);
   Ma45=iMA(NULL,PERIOD_M30,300,10,MODE_SMA,PRICE_CLOSE,0);
   Ma46=iMA(NULL,PERIOD_M30,305,10,MODE_SMA,PRICE_CLOSE,0);
   Ma47=iMA(NULL,PERIOD_M30,310,10,MODE_SMA,PRICE_CLOSE,0);
   Ma48=iMA(NULL,PERIOD_M30,315,10,MODE_SMA,PRICE_CLOSE,0);
   Ma49=iMA(NULL,PERIOD_M30,320,10,MODE_SMA,PRICE_CLOSE,0);
   Ma50=iMA(NULL,PERIOD_M30,325,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma51=iMA(NULL,PERIOD_M30,330,10,MODE_SMA,PRICE_CLOSE,0);
   Ma52=iMA(NULL,PERIOD_M30,335,10,MODE_SMA,PRICE_CLOSE,0);
   Ma53=iMA(NULL,PERIOD_M30,340,10,MODE_SMA,PRICE_CLOSE,0);
   Ma54=iMA(NULL,PERIOD_M30,345,10,MODE_SMA,PRICE_CLOSE,0);
   Ma55=iMA(NULL,PERIOD_M30,350,10,MODE_SMA,PRICE_CLOSE,0);
   Ma56=iMA(NULL,PERIOD_M30,355,10,MODE_SMA,PRICE_CLOSE,0);
   Ma57=iMA(NULL,PERIOD_M30,360,10,MODE_SMA,PRICE_CLOSE,0);
   Ma58=iMA(NULL,PERIOD_M30,365,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma59=iMA(NULL,PERIOD_M30,55,10,MODE_SMA,PRICE_CLOSE,0);
   Ma60=iMA(NULL,PERIOD_M30,60,10,MODE_SMA,PRICE_CLOSE,0);
   Ma61=iMA(NULL,PERIOD_M30,65,10,MODE_SMA,PRICE_CLOSE,0);
   Ma62=iMA(NULL,PERIOD_M30,70,10,MODE_SMA,PRICE_CLOSE,0);
   Ma63=iMA(NULL,PERIOD_M30,75,10,MODE_SMA,PRICE_CLOSE,0);
   Ma64=iMA(NULL,PERIOD_M30,85,10,MODE_SMA,PRICE_CLOSE,0);
   
   if 
     (Close[0]>Ma1&&Close[0]>Ma2&&Close[0]>Ma3&&Close[0]>Ma4&&Close[0]>Ma5&&Close[0]>Ma6&&Close[0]>Ma7&&Close[0]>Ma8&&
   Close[0]>Ma9&&Close[0]>Ma10&&Close[0]>Ma11&&Close[0]>Ma12&&Close[0]>Ma13&&Close[0]>Ma14&&Close[0]>Ma15&&Close[0]>Ma16&&
   Close[0]>Ma17&&Close[0]>Ma18&&Close[0]>Ma19&&Close[0]>Ma20&&Close[0]>Ma21&&Close[0]>Ma22&&Close[0]>Ma23&&Close[0]>Ma24&&
   Close[0]>Ma25&&Close[0]>Ma26&&Close[0]>Ma27&&Close[0]>Ma28&&Close[0]>Ma29&&Close[0]>Ma30&&Close[0]>Ma31&&Close[0]>Ma32&&
   Close[0]>Ma33&&Close[0]>Ma34&&Close[0]>Ma35&&Close[0]>Ma36&&Close[0]>Ma37&&Close[0]>Ma38&&Close[0]>Ma39&&Close[0]>Ma40&&
   Close[0]>Ma41&&Close[0]>Ma42&&Close[0]>Ma43&&Close[0]>Ma44&&Close[0]>Ma45&&Close[0]>Ma46&&Close[0]>Ma47&&Close[0]>Ma48&&
   Close[0]>Ma49&&Close[0]>Ma50&&Close[0]>Ma51&&Close[0]>Ma52&&Close[0]>Ma53&&Close[0]>Ma54&&Close[0]>Ma55&&Close[0]>Ma56&&
   Close[0]>Ma57&&Close[0]>Ma58&&Close[0]>Ma59&&Close[0]>Ma60&&Close[0]>Ma61&&Close[0]>Ma62&&Close[0]>Ma63&&Close[0]>Ma64) 
   { Sign="M30"; Arrow="p";Col=stronguptrend; } //Trend Up Strong

    else if 
     (Close[0]<Ma1&&Close[0]<Ma2&&Close[0]<Ma3&&Close[0]<Ma4&&Close[0]<Ma5&&Close[0]<Ma6&&Close[0]<Ma7&&Close[0]<Ma8&&
   Close[0]<Ma9&&Close[0]<Ma10&&Close[0]<Ma11&&Close[0]<Ma12&&Close[0]<Ma13&&Close[0]<Ma14&&Close[0]<Ma15&&Close[0]<Ma16&&
   Close[0]<Ma17&&Close[0]<Ma18&&Close[0]<Ma19&&Close[0]<Ma20&&Close[0]<Ma21&&Close[0]<Ma22&&Close[0]<Ma23&&Close[0]<Ma24&&
   Close[0]<Ma25&&Close[0]<Ma26&&Close[0]<Ma27&&Close[0]<Ma28&&Close[0]<Ma29&&Close[0]<Ma30&&Close[0]<Ma31&&Close[0]<Ma32&&
   Close[0]<Ma33&&Close[0]<Ma34&&Close[0]<Ma35&&Close[0]<Ma36&&Close[0]<Ma37&&Close[0]<Ma38&&Close[0]<Ma39&&Close[0]<Ma40&&
   Close[0]<Ma41&&Close[0]<Ma42&&Close[0]<Ma43&&Close[0]<Ma44&&Close[0]<Ma45&&Close[0]<Ma46&&Close[0]<Ma47&&Close[0]<Ma48&&
   Close[0]<Ma49&&Close[0]<Ma50&&Close[0]<Ma51&&Close[0]<Ma52&&Close[0]<Ma53&&Close[0]<Ma54&&Close[0]<Ma55&&Close[0]<Ma56&&
   Close[0]<Ma57&&Close[0]<Ma58&&Close[0]<Ma59&&Close[0]<Ma60&&Close[0]<Ma61&&Close[0]<Ma62&&Close[0]<Ma63&&Close[0]<Ma64)
   { Sign="M30"; Arrow="q";Col=strongdowntrend; } //Trend Down Strong

  else
  { Sign="M30"; Arrow="o";Col=notrend; } //No Trend
  
   string sign33xx = "Rainbow M30";
   ObjectDelete(sign33xx);
   ObjectCreate(sign33xx, OBJ_LABEL, window, 0, 0 );
   ObjectSetText(sign33xx, Sign ,9, "Arial Bold", Col);
   ObjectSet(sign33xx, OBJPROP_CORNER, Corner );
   ObjectSet(sign33xx, OBJPROP_XDISTANCE, 120+x_distance );
   ObjectSet(sign33xx, OBJPROP_YDISTANCE, 10+y_distance );

   string signarrow_m30 = "Rainbow M30 Arrow";
   ObjectDelete(signarrow_m30);
   ObjectCreate(signarrow_m30, OBJ_LABEL, window, 0, 0 );
   ObjectSetText(signarrow_m30, Arrow ,9, "Wingdings 3", Col);
   ObjectSet(signarrow_m30, OBJPROP_CORNER, Corner );
   ObjectSet(signarrow_m30, OBJPROP_XDISTANCE, 123+x_distance );
   ObjectSet(signarrow_m30, OBJPROP_YDISTANCE, 25+y_distance );
   ////////////////////////////////////////////////////////////////////////////////////////////////////   

   ////////////////////////////////////////////////////////////////////////////////////////////////////         
   Ma1=iMA(NULL,PERIOD_M15,50,10,MODE_SMA,PRICE_CLOSE,0);
   Ma2=iMA(NULL,PERIOD_M15,80,10,MODE_SMA,PRICE_CLOSE,0);
   Ma3=iMA(NULL,PERIOD_M15,90,10,MODE_SMA,PRICE_CLOSE,0);
   Ma4=iMA(NULL,PERIOD_M15,95,10,MODE_SMA,PRICE_CLOSE,0);
   Ma5=iMA(NULL,PERIOD_M15,100,10,MODE_SMA,PRICE_CLOSE,0);
   Ma6=iMA(NULL,PERIOD_M15,105,10,MODE_SMA,PRICE_CLOSE,0);
   Ma7=iMA(NULL,PERIOD_M15,110,10,MODE_SMA,PRICE_CLOSE,0);
   Ma8=iMA(NULL,PERIOD_M15,115,10,MODE_SMA,PRICE_CLOSE,0);
   Ma9=iMA(NULL,PERIOD_M15,120,10,MODE_SMA,PRICE_CLOSE,0);
   Ma10=iMA(NULL,PERIOD_M15,125,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma11=iMA(NULL,PERIOD_M15,130,10,MODE_SMA,PRICE_CLOSE,0);
   Ma12=iMA(NULL,PERIOD_M15,135,10,MODE_SMA,PRICE_CLOSE,0);
   Ma13=iMA(NULL,PERIOD_M15,140,10,MODE_SMA,PRICE_CLOSE,0);
   Ma14=iMA(NULL,PERIOD_M15,145,10,MODE_SMA,PRICE_CLOSE,0);
   Ma15=iMA(NULL,PERIOD_M15,150,10,MODE_SMA,PRICE_CLOSE,0);
   Ma16=iMA(NULL,PERIOD_M15,155,10,MODE_SMA,PRICE_CLOSE,0);
   Ma17=iMA(NULL,PERIOD_M15,160,10,MODE_SMA,PRICE_CLOSE,0);
   Ma18=iMA(NULL,PERIOD_M15,165,10,MODE_SMA,PRICE_CLOSE,0);
   Ma19=iMA(NULL,PERIOD_M15,170,10,MODE_SMA,PRICE_CLOSE,0);
   Ma20=iMA(NULL,PERIOD_M15,175,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma21=iMA(NULL,PERIOD_M15,180,10,MODE_SMA,PRICE_CLOSE,0);
   Ma22=iMA(NULL,PERIOD_M15,185,10,MODE_SMA,PRICE_CLOSE,0);
   Ma23=iMA(NULL,PERIOD_M15,190,10,MODE_SMA,PRICE_CLOSE,0);
   Ma24=iMA(NULL,PERIOD_M15,195,10,MODE_SMA,PRICE_CLOSE,0);
   Ma25=iMA(NULL,PERIOD_M15,200,10,MODE_SMA,PRICE_CLOSE,0);
   Ma26=iMA(NULL,PERIOD_M15,205,10,MODE_SMA,PRICE_CLOSE,0);
   Ma27=iMA(NULL,PERIOD_M15,210,10,MODE_SMA,PRICE_CLOSE,0);
   Ma28=iMA(NULL,PERIOD_M15,215,10,MODE_SMA,PRICE_CLOSE,0);
   Ma29=iMA(NULL,PERIOD_M15,220,10,MODE_SMA,PRICE_CLOSE,0);
   Ma30=iMA(NULL,PERIOD_M15,225,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma31=iMA(NULL,PERIOD_M15,230,10,MODE_SMA,PRICE_CLOSE,0);
   Ma32=iMA(NULL,PERIOD_M15,235,10,MODE_SMA,PRICE_CLOSE,0);
   Ma33=iMA(NULL,PERIOD_M15,240,10,MODE_SMA,PRICE_CLOSE,0);
   Ma34=iMA(NULL,PERIOD_M15,245,10,MODE_SMA,PRICE_CLOSE,0);
   Ma35=iMA(NULL,PERIOD_M15,250,10,MODE_SMA,PRICE_CLOSE,0);
   Ma36=iMA(NULL,PERIOD_M15,255,10,MODE_SMA,PRICE_CLOSE,0);
   Ma37=iMA(NULL,PERIOD_M15,260,10,MODE_SMA,PRICE_CLOSE,0);
   Ma38=iMA(NULL,PERIOD_M15,265,10,MODE_SMA,PRICE_CLOSE,0);
   Ma39=iMA(NULL,PERIOD_M15,270,10,MODE_SMA,PRICE_CLOSE,0);
   Ma40=iMA(NULL,PERIOD_M15,275,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma41=iMA(NULL,PERIOD_M15,280,10,MODE_SMA,PRICE_CLOSE,0);
   Ma42=iMA(NULL,PERIOD_M15,285,10,MODE_SMA,PRICE_CLOSE,0);
   Ma43=iMA(NULL,PERIOD_M15,290,10,MODE_SMA,PRICE_CLOSE,0);
   Ma44=iMA(NULL,PERIOD_M15,295,10,MODE_SMA,PRICE_CLOSE,0);
   Ma45=iMA(NULL,PERIOD_M15,300,10,MODE_SMA,PRICE_CLOSE,0);
   Ma46=iMA(NULL,PERIOD_M15,305,10,MODE_SMA,PRICE_CLOSE,0);
   Ma47=iMA(NULL,PERIOD_M15,310,10,MODE_SMA,PRICE_CLOSE,0);
   Ma48=iMA(NULL,PERIOD_M15,315,10,MODE_SMA,PRICE_CLOSE,0);
   Ma49=iMA(NULL,PERIOD_M15,320,10,MODE_SMA,PRICE_CLOSE,0);
   Ma50=iMA(NULL,PERIOD_M15,325,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma51=iMA(NULL,PERIOD_M15,330,10,MODE_SMA,PRICE_CLOSE,0);
   Ma52=iMA(NULL,PERIOD_M15,335,10,MODE_SMA,PRICE_CLOSE,0);
   Ma53=iMA(NULL,PERIOD_M15,340,10,MODE_SMA,PRICE_CLOSE,0);
   Ma54=iMA(NULL,PERIOD_M15,345,10,MODE_SMA,PRICE_CLOSE,0);
   Ma55=iMA(NULL,PERIOD_M15,350,10,MODE_SMA,PRICE_CLOSE,0);
   Ma56=iMA(NULL,PERIOD_M15,355,10,MODE_SMA,PRICE_CLOSE,0);
   Ma57=iMA(NULL,PERIOD_M15,360,10,MODE_SMA,PRICE_CLOSE,0);
   Ma58=iMA(NULL,PERIOD_M15,365,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma59=iMA(NULL,PERIOD_M15,55,10,MODE_SMA,PRICE_CLOSE,0);
   Ma60=iMA(NULL,PERIOD_M15,60,10,MODE_SMA,PRICE_CLOSE,0);
   Ma61=iMA(NULL,PERIOD_M15,65,10,MODE_SMA,PRICE_CLOSE,0);
   Ma62=iMA(NULL,PERIOD_M15,70,10,MODE_SMA,PRICE_CLOSE,0);
   Ma63=iMA(NULL,PERIOD_M15,75,10,MODE_SMA,PRICE_CLOSE,0);
   Ma64=iMA(NULL,PERIOD_M15,85,10,MODE_SMA,PRICE_CLOSE,0);
   
   if 
     (Close[0]>Ma1&&Close[0]>Ma2&&Close[0]>Ma3&&Close[0]>Ma4&&Close[0]>Ma5&&Close[0]>Ma6&&Close[0]>Ma7&&Close[0]>Ma8&&
   Close[0]>Ma9&&Close[0]>Ma10&&Close[0]>Ma11&&Close[0]>Ma12&&Close[0]>Ma13&&Close[0]>Ma14&&Close[0]>Ma15&&Close[0]>Ma16&&
   Close[0]>Ma17&&Close[0]>Ma18&&Close[0]>Ma19&&Close[0]>Ma20&&Close[0]>Ma21&&Close[0]>Ma22&&Close[0]>Ma23&&Close[0]>Ma24&&
   Close[0]>Ma25&&Close[0]>Ma26&&Close[0]>Ma27&&Close[0]>Ma28&&Close[0]>Ma29&&Close[0]>Ma30&&Close[0]>Ma31&&Close[0]>Ma32&&
   Close[0]>Ma33&&Close[0]>Ma34&&Close[0]>Ma35&&Close[0]>Ma36&&Close[0]>Ma37&&Close[0]>Ma38&&Close[0]>Ma39&&Close[0]>Ma40&&
   Close[0]>Ma41&&Close[0]>Ma42&&Close[0]>Ma43&&Close[0]>Ma44&&Close[0]>Ma45&&Close[0]>Ma46&&Close[0]>Ma47&&Close[0]>Ma48&&
   Close[0]>Ma49&&Close[0]>Ma50&&Close[0]>Ma51&&Close[0]>Ma52&&Close[0]>Ma53&&Close[0]>Ma54&&Close[0]>Ma55&&Close[0]>Ma56&&
   Close[0]>Ma57&&Close[0]>Ma58&&Close[0]>Ma59&&Close[0]>Ma60&&Close[0]>Ma61&&Close[0]>Ma62&&Close[0]>Ma63&&Close[0]>Ma64) 
   { Sign="M15"; Arrow="p";Col=stronguptrend; } //Trend Up Strong

    else if
     (Close[0]<Ma1&&Close[0]<Ma2&&Close[0]<Ma3&&Close[0]<Ma4&&Close[0]<Ma5&&Close[0]<Ma6&&Close[0]<Ma7&&Close[0]<Ma8&&
   Close[0]<Ma9&&Close[0]<Ma10&&Close[0]<Ma11&&Close[0]<Ma12&&Close[0]<Ma13&&Close[0]<Ma14&&Close[0]<Ma15&&Close[0]<Ma16&&
   Close[0]<Ma17&&Close[0]<Ma18&&Close[0]<Ma19&&Close[0]<Ma20&&Close[0]<Ma21&&Close[0]<Ma22&&Close[0]<Ma23&&Close[0]<Ma24&&
   Close[0]<Ma25&&Close[0]<Ma26&&Close[0]<Ma27&&Close[0]<Ma28&&Close[0]<Ma29&&Close[0]<Ma30&&Close[0]<Ma31&&Close[0]<Ma32&&
   Close[0]<Ma33&&Close[0]<Ma34&&Close[0]<Ma35&&Close[0]<Ma36&&Close[0]<Ma37&&Close[0]<Ma38&&Close[0]<Ma39&&Close[0]<Ma40&&
   Close[0]<Ma41&&Close[0]<Ma42&&Close[0]<Ma43&&Close[0]<Ma44&&Close[0]<Ma45&&Close[0]<Ma46&&Close[0]<Ma47&&Close[0]<Ma48&&
   Close[0]<Ma49&&Close[0]<Ma50&&Close[0]<Ma51&&Close[0]<Ma52&&Close[0]<Ma53&&Close[0]<Ma54&&Close[0]<Ma55&&Close[0]<Ma56&&
   Close[0]<Ma57&&Close[0]<Ma58&&Close[0]<Ma59&&Close[0]<Ma60&&Close[0]<Ma61&&Close[0]<Ma62&&Close[0]<Ma63&&Close[0]<Ma64)
    { Sign="M15"; Arrow="q";Col=strongdowntrend; } //Trend Down Strong

  else
  { Sign="M15"; Arrow="o";Col=notrend; } //No Trend
  
   string sign35xx = "Rainbow M15";
   ObjectDelete(sign35xx);
   ObjectCreate(sign35xx, OBJ_LABEL, window, 0, 0 );
   ObjectSetText(sign35xx, Sign ,9, "Arial Bold", Col);
   ObjectSet(sign35xx, OBJPROP_CORNER, Corner );
   ObjectSet(sign35xx, OBJPROP_XDISTANCE, 150+x_distance );
   ObjectSet(sign35xx, OBJPROP_YDISTANCE, 10+y_distance );
   
   string signarrow_m15 = "Rainbow M15 Arrow";
   ObjectDelete(signarrow_m15);
   ObjectCreate(signarrow_m15, OBJ_LABEL, window, 0, 0 );
   ObjectSetText(signarrow_m15, Arrow ,9, "Wingdings 3", Col);
   ObjectSet(signarrow_m15, OBJPROP_CORNER, Corner );
   ObjectSet(signarrow_m15, OBJPROP_XDISTANCE, 153+x_distance );
   ObjectSet(signarrow_m15, OBJPROP_YDISTANCE, 25+y_distance );
   ////////////////////////////////////////////////////////////////////////////////////////////////////   



   ////////////////////////////////////////////////////////////////////////////////////////////////////         
   Ma1=iMA(NULL,PERIOD_M5,50,10,MODE_SMA,PRICE_CLOSE,0);
   Ma2=iMA(NULL,PERIOD_M5,80,10,MODE_SMA,PRICE_CLOSE,0);
   Ma3=iMA(NULL,PERIOD_M5,90,10,MODE_SMA,PRICE_CLOSE,0);
   Ma4=iMA(NULL,PERIOD_M5,95,10,MODE_SMA,PRICE_CLOSE,0);
   Ma5=iMA(NULL,PERIOD_M5,100,10,MODE_SMA,PRICE_CLOSE,0);
   Ma6=iMA(NULL,PERIOD_M5,105,10,MODE_SMA,PRICE_CLOSE,0);
   Ma7=iMA(NULL,PERIOD_M5,110,10,MODE_SMA,PRICE_CLOSE,0);
   Ma8=iMA(NULL,PERIOD_M5,115,10,MODE_SMA,PRICE_CLOSE,0);
   Ma9=iMA(NULL,PERIOD_M5,120,10,MODE_SMA,PRICE_CLOSE,0);
   Ma10=iMA(NULL,PERIOD_M5,125,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma11=iMA(NULL,PERIOD_M5,130,10,MODE_SMA,PRICE_CLOSE,0);
   Ma12=iMA(NULL,PERIOD_M5,135,10,MODE_SMA,PRICE_CLOSE,0);
   Ma13=iMA(NULL,PERIOD_M5,140,10,MODE_SMA,PRICE_CLOSE,0);
   Ma14=iMA(NULL,PERIOD_M5,145,10,MODE_SMA,PRICE_CLOSE,0);
   Ma15=iMA(NULL,PERIOD_M5,150,10,MODE_SMA,PRICE_CLOSE,0);
   Ma16=iMA(NULL,PERIOD_M5,155,10,MODE_SMA,PRICE_CLOSE,0);
   Ma17=iMA(NULL,PERIOD_M5,160,10,MODE_SMA,PRICE_CLOSE,0);
   Ma18=iMA(NULL,PERIOD_M5,165,10,MODE_SMA,PRICE_CLOSE,0);
   Ma19=iMA(NULL,PERIOD_M5,170,10,MODE_SMA,PRICE_CLOSE,0);
   Ma20=iMA(NULL,PERIOD_M5,175,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma21=iMA(NULL,PERIOD_M5,180,10,MODE_SMA,PRICE_CLOSE,0);
   Ma22=iMA(NULL,PERIOD_M5,185,10,MODE_SMA,PRICE_CLOSE,0);
   Ma23=iMA(NULL,PERIOD_M5,190,10,MODE_SMA,PRICE_CLOSE,0);
   Ma24=iMA(NULL,PERIOD_M5,195,10,MODE_SMA,PRICE_CLOSE,0);
   Ma25=iMA(NULL,PERIOD_M5,200,10,MODE_SMA,PRICE_CLOSE,0);
   Ma26=iMA(NULL,PERIOD_M5,205,10,MODE_SMA,PRICE_CLOSE,0);
   Ma27=iMA(NULL,PERIOD_M5,210,10,MODE_SMA,PRICE_CLOSE,0);
   Ma28=iMA(NULL,PERIOD_M5,215,10,MODE_SMA,PRICE_CLOSE,0);
   Ma29=iMA(NULL,PERIOD_M5,220,10,MODE_SMA,PRICE_CLOSE,0);
   Ma30=iMA(NULL,PERIOD_M5,225,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma31=iMA(NULL,PERIOD_M5,230,10,MODE_SMA,PRICE_CLOSE,0);
   Ma32=iMA(NULL,PERIOD_M5,235,10,MODE_SMA,PRICE_CLOSE,0);
   Ma33=iMA(NULL,PERIOD_M5,240,10,MODE_SMA,PRICE_CLOSE,0);
   Ma34=iMA(NULL,PERIOD_M5,245,10,MODE_SMA,PRICE_CLOSE,0);
   Ma35=iMA(NULL,PERIOD_M5,250,10,MODE_SMA,PRICE_CLOSE,0);
   Ma36=iMA(NULL,PERIOD_M5,255,10,MODE_SMA,PRICE_CLOSE,0);
   Ma37=iMA(NULL,PERIOD_M5,260,10,MODE_SMA,PRICE_CLOSE,0);
   Ma38=iMA(NULL,PERIOD_M5,265,10,MODE_SMA,PRICE_CLOSE,0);
   Ma39=iMA(NULL,PERIOD_M5,270,10,MODE_SMA,PRICE_CLOSE,0);
   Ma40=iMA(NULL,PERIOD_M5,275,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma41=iMA(NULL,PERIOD_M5,280,10,MODE_SMA,PRICE_CLOSE,0);
   Ma42=iMA(NULL,PERIOD_M5,285,10,MODE_SMA,PRICE_CLOSE,0);
   Ma43=iMA(NULL,PERIOD_M5,290,10,MODE_SMA,PRICE_CLOSE,0);
   Ma44=iMA(NULL,PERIOD_M5,295,10,MODE_SMA,PRICE_CLOSE,0);
   Ma45=iMA(NULL,PERIOD_M5,300,10,MODE_SMA,PRICE_CLOSE,0);
   Ma46=iMA(NULL,PERIOD_M5,305,10,MODE_SMA,PRICE_CLOSE,0);
   Ma47=iMA(NULL,PERIOD_M5,310,10,MODE_SMA,PRICE_CLOSE,0);
   Ma48=iMA(NULL,PERIOD_M5,315,10,MODE_SMA,PRICE_CLOSE,0);
   Ma49=iMA(NULL,PERIOD_M5,320,10,MODE_SMA,PRICE_CLOSE,0);
   Ma50=iMA(NULL,PERIOD_M5,325,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma51=iMA(NULL,PERIOD_M5,330,10,MODE_SMA,PRICE_CLOSE,0);
   Ma52=iMA(NULL,PERIOD_M5,335,10,MODE_SMA,PRICE_CLOSE,0);
   Ma53=iMA(NULL,PERIOD_M5,340,10,MODE_SMA,PRICE_CLOSE,0);
   Ma54=iMA(NULL,PERIOD_M5,345,10,MODE_SMA,PRICE_CLOSE,0);
   Ma55=iMA(NULL,PERIOD_M5,350,10,MODE_SMA,PRICE_CLOSE,0);
   Ma56=iMA(NULL,PERIOD_M5,355,10,MODE_SMA,PRICE_CLOSE,0);
   Ma57=iMA(NULL,PERIOD_M5,360,10,MODE_SMA,PRICE_CLOSE,0);
   Ma58=iMA(NULL,PERIOD_M5,365,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma59=iMA(NULL,PERIOD_M5,55,10,MODE_SMA,PRICE_CLOSE,0);
   Ma60=iMA(NULL,PERIOD_M5,60,10,MODE_SMA,PRICE_CLOSE,0);
   Ma61=iMA(NULL,PERIOD_M5,65,10,MODE_SMA,PRICE_CLOSE,0);
   Ma62=iMA(NULL,PERIOD_M5,70,10,MODE_SMA,PRICE_CLOSE,0);
   Ma63=iMA(NULL,PERIOD_M5,75,10,MODE_SMA,PRICE_CLOSE,0);
   Ma64=iMA(NULL,PERIOD_M5,85,10,MODE_SMA,PRICE_CLOSE,0);
   
   if 
     (Close[0]>Ma1&&Close[0]>Ma2&&Close[0]>Ma3&&Close[0]>Ma4&&Close[0]>Ma5&&Close[0]>Ma6&&Close[0]>Ma7&&Close[0]>Ma8&&
   Close[0]>Ma9&&Close[0]>Ma10&&Close[0]>Ma11&&Close[0]>Ma12&&Close[0]>Ma13&&Close[0]>Ma14&&Close[0]>Ma15&&Close[0]>Ma16&&
   Close[0]>Ma17&&Close[0]>Ma18&&Close[0]>Ma19&&Close[0]>Ma20&&Close[0]>Ma21&&Close[0]>Ma22&&Close[0]>Ma23&&Close[0]>Ma24&&
   Close[0]>Ma25&&Close[0]>Ma26&&Close[0]>Ma27&&Close[0]>Ma28&&Close[0]>Ma29&&Close[0]>Ma30&&Close[0]>Ma31&&Close[0]>Ma32&&
   Close[0]>Ma33&&Close[0]>Ma34&&Close[0]>Ma35&&Close[0]>Ma36&&Close[0]>Ma37&&Close[0]>Ma38&&Close[0]>Ma39&&Close[0]>Ma40&&
   Close[0]>Ma41&&Close[0]>Ma42&&Close[0]>Ma43&&Close[0]>Ma44&&Close[0]>Ma45&&Close[0]>Ma46&&Close[0]>Ma47&&Close[0]>Ma48&&
   Close[0]>Ma49&&Close[0]>Ma50&&Close[0]>Ma51&&Close[0]>Ma52&&Close[0]>Ma53&&Close[0]>Ma54&&Close[0]>Ma55&&Close[0]>Ma56&&
   Close[0]>Ma57&&Close[0]>Ma58&&Close[0]>Ma59&&Close[0]>Ma60&&Close[0]>Ma61&&Close[0]>Ma62&&Close[0]>Ma63&&Close[0]>Ma64) 
   { Sign="M5"; Arrow="p";Col=stronguptrend; } //Trend Up Strong

    else if  (
   Close[0]<Ma1&&Close[0]<Ma2&&Close[0]<Ma3&&Close[0]<Ma4&&Close[0]<Ma5&&Close[0]<Ma6&&Close[0]<Ma7&&Close[0]<Ma8&&
   Close[0]<Ma9&&Close[0]<Ma10&&Close[0]<Ma11&&Close[0]<Ma12&&Close[0]<Ma13&&Close[0]<Ma14&&Close[0]<Ma15&&Close[0]<Ma16&&
   Close[0]<Ma17&&Close[0]<Ma18&&Close[0]<Ma19&&Close[0]<Ma20&&Close[0]<Ma21&&Close[0]<Ma22&&Close[0]<Ma23&&Close[0]<Ma24&&
   Close[0]<Ma25&&Close[0]<Ma26&&Close[0]<Ma27&&Close[0]<Ma28&&Close[0]<Ma29&&Close[0]<Ma30&&Close[0]<Ma31&&Close[0]<Ma32&&
   Close[0]<Ma33&&Close[0]<Ma34&&Close[0]<Ma35&&Close[0]<Ma36&&Close[0]<Ma37&&Close[0]<Ma38&&Close[0]<Ma39&&Close[0]<Ma40&&
   Close[0]<Ma41&&Close[0]<Ma42&&Close[0]<Ma43&&Close[0]<Ma44&&Close[0]<Ma45&&Close[0]<Ma46&&Close[0]<Ma47&&Close[0]<Ma48&&
   Close[0]<Ma49&&Close[0]<Ma50&&Close[0]<Ma51&&Close[0]<Ma52&&Close[0]<Ma53&&Close[0]<Ma54&&Close[0]<Ma55&&Close[0]<Ma56&&
   Close[0]<Ma57&&Close[0]<Ma58&&Close[0]<Ma59&&Close[0]<Ma60&&Close[0]<Ma61&&Close[0]<Ma62&&Close[0]<Ma63&&Close[0]<Ma64) 
   { Sign="M5"; Arrow="q";Col=strongdowntrend; } //Trend Down Strong

  else
  { Sign="M5"; Arrow="o";Col=notrend; } //No Trend
  
   string sign34xx = "Rainbow M5";
   ObjectDelete(sign34xx);
   ObjectCreate(sign34xx, OBJ_LABEL, window, 0, 0 );
   ObjectSetText(sign34xx, Sign ,9, "Arial Bold", Col);
   ObjectSet(sign34xx, OBJPROP_CORNER, Corner );
   ObjectSet(sign34xx, OBJPROP_XDISTANCE, 180+x_distance );
   ObjectSet(sign34xx, OBJPROP_YDISTANCE, 10+y_distance );
     
      string signarrow_m5 = "Rainbow M5 Arrow";
   ObjectDelete(signarrow_m5);
   ObjectCreate(signarrow_m5, OBJ_LABEL, window, 0, 0 );
   ObjectSetText(signarrow_m5, Arrow ,9, "Wingdings 3", Col);
   ObjectSet(signarrow_m5, OBJPROP_CORNER, Corner );
   ObjectSet(signarrow_m5, OBJPROP_XDISTANCE, 183+x_distance );
   ObjectSet(signarrow_m5, OBJPROP_YDISTANCE, 25+y_distance );
   ////////////////////////////////////////////////////////////////////////////////////////////////////   




   ////////////////////////////////////////////////////////////////////////////////////////////////////         
   Ma1=iMA(NULL,PERIOD_M1,50,10,MODE_SMA,PRICE_CLOSE,0);
   Ma2=iMA(NULL,PERIOD_M1,80,10,MODE_SMA,PRICE_CLOSE,0);
   Ma3=iMA(NULL,PERIOD_M1,90,10,MODE_SMA,PRICE_CLOSE,0);
   Ma4=iMA(NULL,PERIOD_M1,95,10,MODE_SMA,PRICE_CLOSE,0);
   Ma5=iMA(NULL,PERIOD_M1,100,10,MODE_SMA,PRICE_CLOSE,0);
   Ma6=iMA(NULL,PERIOD_M1,105,10,MODE_SMA,PRICE_CLOSE,0);
   Ma7=iMA(NULL,PERIOD_M1,110,10,MODE_SMA,PRICE_CLOSE,0);
   Ma8=iMA(NULL,PERIOD_M1,115,10,MODE_SMA,PRICE_CLOSE,0);
   Ma9=iMA(NULL,PERIOD_M1,120,10,MODE_SMA,PRICE_CLOSE,0);
   Ma10=iMA(NULL,PERIOD_M1,125,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma11=iMA(NULL,PERIOD_M1,130,10,MODE_SMA,PRICE_CLOSE,0);
   Ma12=iMA(NULL,PERIOD_M1,135,10,MODE_SMA,PRICE_CLOSE,0);
   Ma13=iMA(NULL,PERIOD_M1,140,10,MODE_SMA,PRICE_CLOSE,0);
   Ma14=iMA(NULL,PERIOD_M1,145,10,MODE_SMA,PRICE_CLOSE,0);
   Ma15=iMA(NULL,PERIOD_M1,150,10,MODE_SMA,PRICE_CLOSE,0);
   Ma16=iMA(NULL,PERIOD_M1,155,10,MODE_SMA,PRICE_CLOSE,0);
   Ma17=iMA(NULL,PERIOD_M1,160,10,MODE_SMA,PRICE_CLOSE,0);
   Ma18=iMA(NULL,PERIOD_M1,165,10,MODE_SMA,PRICE_CLOSE,0);
   Ma19=iMA(NULL,PERIOD_M1,170,10,MODE_SMA,PRICE_CLOSE,0);
   Ma20=iMA(NULL,PERIOD_M1,175,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma21=iMA(NULL,PERIOD_M1,180,10,MODE_SMA,PRICE_CLOSE,0);
   Ma22=iMA(NULL,PERIOD_M1,185,10,MODE_SMA,PRICE_CLOSE,0);
   Ma23=iMA(NULL,PERIOD_M1,190,10,MODE_SMA,PRICE_CLOSE,0);
   Ma24=iMA(NULL,PERIOD_M1,195,10,MODE_SMA,PRICE_CLOSE,0);
   Ma25=iMA(NULL,PERIOD_M1,200,10,MODE_SMA,PRICE_CLOSE,0);
   Ma26=iMA(NULL,PERIOD_M1,205,10,MODE_SMA,PRICE_CLOSE,0);
   Ma27=iMA(NULL,PERIOD_M1,210,10,MODE_SMA,PRICE_CLOSE,0);
   Ma28=iMA(NULL,PERIOD_M1,215,10,MODE_SMA,PRICE_CLOSE,0);
   Ma29=iMA(NULL,PERIOD_M1,220,10,MODE_SMA,PRICE_CLOSE,0);
   Ma30=iMA(NULL,PERIOD_M1,225,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma31=iMA(NULL,PERIOD_M1,230,10,MODE_SMA,PRICE_CLOSE,0);
   Ma32=iMA(NULL,PERIOD_M1,235,10,MODE_SMA,PRICE_CLOSE,0);
   Ma33=iMA(NULL,PERIOD_M1,240,10,MODE_SMA,PRICE_CLOSE,0);
   Ma34=iMA(NULL,PERIOD_M1,245,10,MODE_SMA,PRICE_CLOSE,0);
   Ma35=iMA(NULL,PERIOD_M1,250,10,MODE_SMA,PRICE_CLOSE,0);
   Ma36=iMA(NULL,PERIOD_M1,255,10,MODE_SMA,PRICE_CLOSE,0);
   Ma37=iMA(NULL,PERIOD_M1,260,10,MODE_SMA,PRICE_CLOSE,0);
   Ma38=iMA(NULL,PERIOD_M1,265,10,MODE_SMA,PRICE_CLOSE,0);
   Ma39=iMA(NULL,PERIOD_M1,270,10,MODE_SMA,PRICE_CLOSE,0);
   Ma40=iMA(NULL,PERIOD_M1,275,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma41=iMA(NULL,PERIOD_M1,280,10,MODE_SMA,PRICE_CLOSE,0);
   Ma42=iMA(NULL,PERIOD_M1,285,10,MODE_SMA,PRICE_CLOSE,0);
   Ma43=iMA(NULL,PERIOD_M1,290,10,MODE_SMA,PRICE_CLOSE,0);
   Ma44=iMA(NULL,PERIOD_M1,295,10,MODE_SMA,PRICE_CLOSE,0);
   Ma45=iMA(NULL,PERIOD_M1,300,10,MODE_SMA,PRICE_CLOSE,0);
   Ma46=iMA(NULL,PERIOD_M1,305,10,MODE_SMA,PRICE_CLOSE,0);
   Ma47=iMA(NULL,PERIOD_M1,310,10,MODE_SMA,PRICE_CLOSE,0);
   Ma48=iMA(NULL,PERIOD_M1,315,10,MODE_SMA,PRICE_CLOSE,0);
   Ma49=iMA(NULL,PERIOD_M1,320,10,MODE_SMA,PRICE_CLOSE,0);
   Ma50=iMA(NULL,PERIOD_M1,325,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma51=iMA(NULL,PERIOD_M1,330,10,MODE_SMA,PRICE_CLOSE,0);
   Ma52=iMA(NULL,PERIOD_M1,335,10,MODE_SMA,PRICE_CLOSE,0);
   Ma53=iMA(NULL,PERIOD_M1,340,10,MODE_SMA,PRICE_CLOSE,0);
   Ma54=iMA(NULL,PERIOD_M1,345,10,MODE_SMA,PRICE_CLOSE,0);
   Ma55=iMA(NULL,PERIOD_M1,350,10,MODE_SMA,PRICE_CLOSE,0);
   Ma56=iMA(NULL,PERIOD_M1,355,10,MODE_SMA,PRICE_CLOSE,0);
   Ma57=iMA(NULL,PERIOD_M1,360,10,MODE_SMA,PRICE_CLOSE,0);
   Ma58=iMA(NULL,PERIOD_M1,365,10,MODE_SMA,PRICE_CLOSE,0);
   
   Ma59=iMA(NULL,PERIOD_M1,55,10,MODE_SMA,PRICE_CLOSE,0);
   Ma60=iMA(NULL,PERIOD_M1,60,10,MODE_SMA,PRICE_CLOSE,0);
   Ma61=iMA(NULL,PERIOD_M1,65,10,MODE_SMA,PRICE_CLOSE,0);
   Ma62=iMA(NULL,PERIOD_M1,70,10,MODE_SMA,PRICE_CLOSE,0);
   Ma63=iMA(NULL,PERIOD_M1,75,10,MODE_SMA,PRICE_CLOSE,0);
   Ma64=iMA(NULL,PERIOD_M1,85,10,MODE_SMA,PRICE_CLOSE,0);
   
   if 
  (Close[0]>Ma1&&Close[0]>Ma2&&Close[0]>Ma3&&Close[0]>Ma4&&Close[0]>Ma5&&Close[0]>Ma6&&Close[0]>Ma7&&Close[0]>Ma8&&
   Close[0]>Ma9&&Close[0]>Ma10&&Close[0]>Ma11&&Close[0]>Ma12&&Close[0]>Ma13&&Close[0]>Ma14&&Close[0]>Ma15&&Close[0]>Ma16&&
   Close[0]>Ma17&&Close[0]>Ma18&&Close[0]>Ma19&&Close[0]>Ma20&&Close[0]>Ma21&&Close[0]>Ma22&&Close[0]>Ma23&&Close[0]>Ma24&&
   Close[0]>Ma25&&Close[0]>Ma26&&Close[0]>Ma27&&Close[0]>Ma28&&Close[0]>Ma29&&Close[0]>Ma30&&Close[0]>Ma31&&Close[0]>Ma32&&
   Close[0]>Ma33&&Close[0]>Ma34&&Close[0]>Ma35&&Close[0]>Ma36&&Close[0]>Ma37&&Close[0]>Ma38&&Close[0]>Ma39&&Close[0]>Ma40&&
   Close[0]>Ma41&&Close[0]>Ma42&&Close[0]>Ma43&&Close[0]>Ma44&&Close[0]>Ma45&&Close[0]>Ma46&&Close[0]>Ma47&&Close[0]>Ma48&&
   Close[0]>Ma49&&Close[0]>Ma50&&Close[0]>Ma51&&Close[0]>Ma52&&Close[0]>Ma53&&Close[0]>Ma54&&Close[0]>Ma55&&Close[0]>Ma56&&
   Close[0]>Ma57&&Close[0]>Ma58&&Close[0]>Ma59&&Close[0]>Ma60&&Close[0]>Ma61&&Close[0]>Ma62&&Close[0]>Ma63&&Close[0]>Ma64) 
   { Sign="M1"; Arrow="p";Col=stronguptrend; } //Trend Up Strong
  
  else if
  (Close[0]<Ma1&&Close[0]<Ma2&&Close[0]<Ma3&&Close[0]<Ma4&&Close[0]<Ma5&&Close[0]<Ma6&&Close[0]<Ma7&&Close[0]<Ma8&&
   Close[0]<Ma9&&Close[0]<Ma10&&Close[0]<Ma11&&Close[0]<Ma12&&Close[0]<Ma13&&Close[0]<Ma14&&Close[0]<Ma15&&Close[0]<Ma16&&
   Close[0]<Ma17&&Close[0]<Ma18&&Close[0]<Ma19&&Close[0]<Ma20&&Close[0]<Ma21&&Close[0]<Ma22&&Close[0]<Ma23&&Close[0]<Ma24&&
   Close[0]<Ma25&&Close[0]<Ma26&&Close[0]<Ma27&&Close[0]<Ma28&&Close[0]<Ma29&&Close[0]<Ma30&&Close[0]<Ma31&&Close[0]<Ma32&&
   Close[0]<Ma33&&Close[0]<Ma34&&Close[0]<Ma35&&Close[0]<Ma36&&Close[0]<Ma37&&Close[0]<Ma38&&Close[0]<Ma39&&Close[0]<Ma40&&
   Close[0]<Ma41&&Close[0]<Ma42&&Close[0]<Ma43&&Close[0]<Ma44&&Close[0]<Ma45&&Close[0]<Ma46&&Close[0]<Ma47&&Close[0]<Ma48&&
   Close[0]<Ma49&&Close[0]<Ma50&&Close[0]<Ma51&&Close[0]<Ma52&&Close[0]<Ma53&&Close[0]<Ma54&&Close[0]<Ma55&&Close[0]<Ma56&&
   Close[0]<Ma57&&Close[0]<Ma58&&Close[0]<Ma59&&Close[0]<Ma60&&Close[0]<Ma61&&Close[0]<Ma62&&Close[0]<Ma63&&Close[0]<Ma64) 
   { Sign="M1"; Arrow="q";Col=strongdowntrend; } //Trend Down Strong


  else
  { Sign="M1"; Arrow="o";Col=notrend; } //No Trend
  
   string sign343xx = "Rainbow M1";
   ObjectDelete(sign343xx);
   ObjectCreate(sign343xx, OBJ_LABEL, window, 0, 0 );
   ObjectSetText(sign343xx, Sign ,9, "Arial Bold", Col);
   ObjectSet(sign343xx, OBJPROP_CORNER, Corner );
   ObjectSet(sign343xx, OBJPROP_XDISTANCE, 200+x_distance );
   ObjectSet(sign343xx, OBJPROP_YDISTANCE, 10+y_distance );

   string signarrow_m1 = "Rainbow M1 Arrow";
   ObjectDelete(signarrow_m1);
   ObjectCreate(signarrow_m1, OBJ_LABEL, window, 0, 0 );
   ObjectSetText(signarrow_m1, Arrow ,9, "Wingdings 3", Col);
   ObjectSet(signarrow_m1, OBJPROP_CORNER, Corner );
   ObjectSet(signarrow_m1, OBJPROP_XDISTANCE, 203+x_distance );
   ObjectSet(signarrow_m1, OBJPROP_YDISTANCE, 25+y_distance );
   ////////////////////////////////////////////////////////////////////////////////////////////////////   


   return(0);
  }






